<?php

/**
 * @package    VP Email Manager
 * @copyright  Copyright (C) 2012-2024 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 3 or later; see LICENSE.txt
 * @author     Abhishek Das <info@virtueplanet.com>
 * @link       https://www.virtueplanet.com
 */

defined('_JEXEC') or die;

extract($displayData);

$background_color = empty($background_color) ? '#ffffff' : $background_color;
$body_style       = 'background-color: ' . $background_color . ';';
$body_style       = !empty($item->preview_subject) ? $body_style . ' padding-top: 32px;' : $body_style;
$lang             = JFactory::getLanguage();
$lTag             = $lang->getTag();
$lTag             = !empty($lTag) ? strtolower($lTag) : 'en';
$isRTL            = $lang->isRtl();
?>
<!DOCTYPE html>
<html lang="<?php echo $lTag; ?>" dir="<?php echo  $isRTL ? 'rtl' : 'ltr'; ?>">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <?php if (!empty($item->subject)) : ?>
        <title><?php echo $item->subject; ?></title>
    <?php endif; ?>
    <style type="text/css">
        <?php echo $item->css_style; ?>
    </style>
</head>

<body style="<?php echo $body_style; ?>" bgcolor="<?php echo $background_color; ?>">
    <?php if (!empty($item->preview_subject)) : ?>
        <div style="background: #333; color: #fff; padding: 8px 10px; position: fixed; top: 0; left: 0; right: 0; font-family: Helvetica, Arial, sans-serif; font-size: 14px;">
            <?php echo JText::_('COM_VPEM_FORM_LBL_TEMPLATE_SUBJECT') ?>: <?php echo $item->preview_subject; ?>
        </div>
    <?php endif; ?>
    <?php echo $item->body; ?>
</body>

</html>