<?php
/*
 * This file is part of Mustache.php.
 *
 * @author    Justin Hileman
 * @copyright Copyright (c) 2010-2015 Justin Hileman
 * @license   The MIT License (MIT); see https://github.com/bobthecow/mustache.php/blob/master/LICENSE
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * Joomla! integration by Abhishek Das
 *
 * @license   GNU General Public License version 3 or later; see LICENSE.txt
 */
defined('_JEXEC') or die;

/**
 * Unknown helper exception.
 */
class Mustache_Exception_UnknownHelperException extends InvalidArgumentException implements Mustache_Exception
{
    protected $helperName;

    /**
     * @param string $helperName
     */
    public function __construct($helperName)
    {
        $this->helperName = $helperName;
        parent::__construct(sprintf('Unknown helper: %s', $helperName));
    }

    public function getHelperName()
    {
        return $this->helperName;
    }
}
