<?php

/**
 * @package    VP Email Manager
 * @copyright  Copyright (C) 2012-2024 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 3 or later; see LICENSE.txt
 * @author     Abhishek Das <info@virtueplanet.com>
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('list');
// phpcs:enable PSR1.Files.SideEffects

class JFormFieldNewlist extends JFormFieldList
{
    protected $type = 'Newlist';

    protected function getOptions()
    {
        if (!empty($this->value) && is_string($this->value) && strpos($this->value, ',') !== false) {
            $parts = explode(',', $this->value);

            $this->value = array_map('trim', $parts);
        }

        if (version_compare(JVERSION, '4.0.0', 'ge') && $this->multiple) {
            $this->layout = 'joomla.form.field.list-fancy-select';
        }

        return parent::getOptions();
    }
}
