<?php

/**
 * @package    VP Email Manager
 * @copyright  Copyright (C) 2012-2024 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 3 or later; see LICENSE.txt
 * @author     Abhishek Das <info@virtueplanet.com>
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('list');
// phpcs:enable PSR1.Files.SideEffects

class JFormFieldVmorder extends JFormFieldList
{
    public $type = 'Vmorder';

    protected function getOptions()
    {
        $options = [];

        $db    = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select($db->quoteName(['virtuemart_order_id', 'order_number']))
            ->from($db->quoteName('#__virtuemart_orders'))
            ->setLimit(100, 0)
            ->order($db->quoteName('virtuemart_order_id') . ' DESC');

        $db->setQuery($query);
        $orders = $db->loadObjectList();

        if (!empty($orders)) {
            foreach ($orders as $order) {
                $options[] = JHTML::_('select.option', $order->virtuemart_order_id, htmlspecialchars($order->order_number, ENT_COMPAT, 'UTF-8', false));
            }
        }

        return array_merge(parent::getOptions(), $options);
    }
}
