<?php

/**
 * @package    VP Email Manager
 * @copyright  Copyright (C) 2012-2024 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 3 or later; see LICENSE.txt
 * @author     Abhishek Das <info@virtueplanet.com>
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\Factory;

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('newlist');

JLoader::register('VmConfig', JPATH_ADMINISTRATOR . '/components/com_virtuemart/helpers/config.php');
// phpcs:enable PSR1.Files.SideEffects

class JFormFieldVMShoppergroups extends JFormFieldNewlist
{
    public $type = 'VMShoppergroups';

    protected static $groups = null;

    protected function getOptions()
    {
        $options = array();

        VmConfig::loadConfig();
        VmConfig::loadJLang('com_virtuemart');
        VmConfig::loadJLang('com_virtuemart_shoppers', true);

        if (self::$groups === null) {
            $db    = Factory::getDBO();
            $query = $db->getQuery(true);

            $query->select($db->quoteName('virtuemart_shoppergroup_id') . ' AS value')
                ->select($db->quoteName('shopper_group_name') . ' AS text')
                ->from($db->quoteName('#__virtuemart_shoppergroups'))
                ->where($db->quoteName('published') . ' = 1')
                ->order($db->quoteName('virtuemart_shoppergroup_id') . ' ASC');

            try {
                $db->setQuery($query);
                self::$groups = $db->loadObjectList();
            } catch (Exception $e) {
                Factory::getApplication()->enqueueMessage($e->getMessage(), 'error');
                return false;
            }
        }

        foreach (self::$groups as $group) {
            $options[] = JHtml::_('select.option', $group->value, JText::_($group->text));
        }

        return array_merge(parent::getOptions(), $options);
    }
}
