<?php

/**
 * @package    VP Email Manager
 * @copyright  Copyright (C) 2012-2024 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 3 or later; see LICENSE.txt
 * @author     Abhishek Das <info@virtueplanet.com>
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('list');
// phpcs:enable PSR1.Files.SideEffects

class JFormFieldVpemtype extends JFormFieldList
{
    public $type = 'vpemtype';

    protected function getOptions()
    {
        $types = [
            'order_confirmation',
            'order_status_change',
            'order_followup',
            'user_registration',
            'product_notification',
            'recommend_product',
            'admin_order_confirmation',
            'admin_order_status_change',
            'admin_user_registration',
            //'admin_product_notification',
            'admin_ask_a_question'
        ];

        $options = [];

        foreach ($types as $type) {
            $name = Text::_('COM_VPEM_TEMPLATES_TYPE_OPTION_' . strtoupper($type));

            $options[] = HTMLHelper::_('select.option', $type, $name);
        }

        return array_merge(parent::getOptions(), $options);
    }
}
