<?php

/**
 * @package    VP Email Manager
 * @copyright  Copyright (C) 2012-2024 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 3 or later; see LICENSE.txt
 * @author     Abhishek Das <info@virtueplanet.com>
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\HTML\HTMLHelper;

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('newlist');

JLoader::register('VmConfig', JPATH_ROOT . '/administrator/components/com_virtuemart/helpers/config.php');
// phpcs:enable PSR1.Files.SideEffects

class JFormFieldVpemvendor extends JFormFieldNewlist
{
    public $type = 'vpemvendor';

    protected static $vendors = null;

    protected function getOptions()
    {
        VmConfig::loadConfig();
        vmLanguage::loadJLang('com_virtuemart');

        if (self::$vendors === null) {
            $model         = VmModel::getModel('vendor');
            self::$vendors = $model->getVendors(true, true, false);
        }

        $options = [];

        foreach (self::$vendors as $vendor) {
            $options[] = HTMLHelper::_('select.option', (int) $vendor->virtuemart_vendor_id, $vendor->vendor_name);
        }

        return array_merge(parent::getOptions(), $options);
    }
}
