<?php

/**
 * @package    VP Email Manager
 * @copyright  Copyright (C) 2012-2024 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 3 or later; see LICENSE.txt
 * @author     Abhishek Das <info@virtueplanet.com>
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('Filelist');
// phpcs:enable PSR1.Files.SideEffects

class JFormFieldVpfilelist extends JFormFieldFilelist
{
    public $type = 'vpfilelist';

    protected function getInput()
    {
        if (version_compare(JVERSION, '4.0.0', 'ge') && $this->multiple) {
            $this->layout = 'joomla.form.field.list-fancy-select';
        }

        $html = parent::getInput();

        if (!empty($this->element['special_hint'])) {
            $html .= '<div class="muted small">' . JText::_($this->element['special_hint']) . '</div>';
        }

        return $html;
    }
}
