<?php

/**
 * @package    VP Email Manager
 * @copyright  Copyright (C) 2012-2024 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 3 or later; see LICENSE.txt
 * @author     Abhishek Das <info@virtueplanet.com>
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('newlist');
// phpcs:enable PSR1.Files.SideEffects

class JFormFieldVpnumberlist extends JFormFieldNewlist
{
    public $type = 'vpnumberlist';

    protected function getInput()
    {
        $note = isset($this->element['note']) ? $this->element['note'] : null;
        $html = parent::getInput();

        if ($note) {
            $html .= '<div class="small text-small muted text-muted">' . JText::_($note) . '</div>';
        }

        return $html;
    }

    protected function getOptions()
    {
        $liststart = isset($this->element['liststart']) ? (int) $this->element['liststart'] : 0;
        $listend   = isset($this->element['listend']) ? (int) $this->element['listend'] : 59;

        $options = array();

        for ($i = $liststart; $i <= $listend; $i++) {
            $options[] = JHtml::_('select.option', $i, $i);
        }

        return array_merge(parent::getOptions(), $options);
    }
}
