<?php

/**
 * @package    VP Email Manager
 * @copyright  Copyright (C) 2012-2024 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 3 or later; see LICENSE.txt
 * @author     Abhishek Das <info@virtueplanet.com>
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('text');
// phpcs:enable PSR1.Files.SideEffects

class JFormFieldVppath extends JFormFieldText
{
    protected $type = 'vppath';

    protected function getInput()
    {
        if (strpos($this->value, '{{root}}') !== false) {
            $this->value = str_replace('{{root}}', JPATH_ROOT, $this->value);
            $this->value = JPath::clean($this->value);
        }

        return parent::getInput();
    }
}
