<?php

/**
 * @package    VP Email Manager
 * @copyright  Copyright (C) 2012-2024 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 3 or later; see LICENSE.txt
 * @author     Abhishek Das <info@virtueplanet.com>
 * @link       https://www.virtueplanet.com
 *
 * @phpcs:disable PSR1.Classes.ClassDeclaration.MissingNamespace
 */

use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Component\Router\RouterView;
use Joomla\CMS\Component\Router\Rules\StandardRules;
use Joomla\CMS\Component\Router\Rules\NomenuRules;
use Joomla\CMS\Component\Router\Rules\MenuRules;

// phpcs:disable PSR1.Files.SideEffects
defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

/**
 * Class VpemRouter
 *
 */
class VpemRouter extends RouterView
{
    private $noIDs;

    public function __construct($app = null, $menu = null)
    {
        $params = ComponentHelper::getParams('com_vpem');

        $this->noIDs = (bool) $params->get('sef_ids');

        parent::__construct($app, $menu);

        $this->attachRule(new MenuRules($this));

        if ($params->get('sef_advanced', 0)) {
            $this->attachRule(new StandardRules($this));
            $this->attachRule(new NomenuRules($this));
        } else {
            JLoader::register('VpemRulesLegacy', __DIR__ . '/helpers/legacyrouter.php');
            JLoader::register('VpemHelpersVpem', __DIR__ . '/helpers/vpem.php');

            $this->attachRule(new VpemRulesLegacy($this));
        }
    }
}
