<?php

/**
 * @package    VP Email Manager
 * @copyright  Copyright (C) 2012-2024 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 3 or later; see LICENSE.txt
 * @author     Abhishek Das <info@virtueplanet.com>
 * @link       https://www.virtueplanet.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Controller\BaseController;

JLoader::registerPrefix('Vpem', JPATH_SITE . '/components/com_vpem');
JLoader::register('VpemController', JPATH_SITE . '/components/com_vpem/controller.php');

// Register required dependencies
JLoader::register('VpemHelper', JPATH_ADMINISTRATOR . '/components/com_vpem/helpers/vpem.php');
JLoader::register('VpemShutdownScheduler', JPATH_SITE . '/components/com_vpem/helpers/shutdownscheduler.php');
JLoader::register('VmConfig', JPATH_ADMINISTRATOR . '/components/com_virtuemart/helpers/config.php');

if (!class_exists('VmConfig')) {
    throw new Exception('VirtueMart component not found.');
}

// Initialise VirtueMart
VmConfig::loadConfig();

// Execute the task.
$controller = BaseController::getInstance('Vpem');

$controller->execute(Factory::getApplication()->input->get('task'));
$controller->redirect();
