--
-- Table structure for table `#__vpem_datetime`
--

CREATE TABLE IF NOT EXISTS `#__vpem_datetime` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `type` varchar(110) NOT NULL DEFAULT '',
  `time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__vpem_events`
--

CREATE TABLE IF NOT EXISTS `#__vpem_events` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `name` varchar(255) NOT NULL DEFAULT '',
  `type` varchar(255) NOT NULL DEFAULT '',
  `template_id` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `mail_to` varchar(255) NOT NULL DEFAULT '',
  `mail_cc` varchar(255) NOT NULL DEFAULT '',
  `mail_bcc` varchar(255) NOT NULL DEFAULT '',
  `mail_from` varchar(255) NOT NULL DEFAULT '',
  `reply_to` varchar(255) NOT NULL DEFAULT '',
  `reply_to_name` varchar(255) NOT NULL DEFAULT '',
  `mail_from_name` varchar(255) NOT NULL DEFAULT '',
  `attachments` text NOT NULL,
  `interval_uom` varchar(15) NOT NULL DEFAULT '',
  `intervals` varchar(512) NOT NULL DEFAULT '',
  `filter_vendor` text NOT NULL,
  `filter_vendor_operator` tinyint(1) NOT NULL DEFAULT '1',
  `filter_product` text NOT NULL,
  `filter_product_operator` tinyint(1) NOT NULL DEFAULT '1',
  `filter_category` text NOT NULL,
  `filter_category_operator` tinyint(1) NOT NULL DEFAULT '1',
  `filter_manufacturer` text NOT NULL,
  `filter_manufacturer_operator` tinyint(1) NOT NULL DEFAULT '1',
  `filter_guests_only` tinyint(1) NOT NULL DEFAULT '0',
  `filter_user` text NOT NULL,
  `filter_user_operator` tinyint(1) NOT NULL DEFAULT '1',
  `filter_shopper_group` text NOT NULL,
  `filter_shopper_group_operator` tinyint(1) NOT NULL DEFAULT '1',
  `filter_country` text NOT NULL,
  `filter_country_operator` tinyint(1) NOT NULL DEFAULT '1',
  `filter_shipment_method` text NOT NULL,
  `filter_shipment_method_operator` tinyint(1) NOT NULL DEFAULT '1',
  `filter_payment_method` text NOT NULL,
  `filter_payment_method_operator` tinyint(1) NOT NULL DEFAULT '1',
  `filter_st_country` text NOT NULL,
  `filter_st_country_operator` tinyint(1) NOT NULL DEFAULT '1',
  `filter_status` text NOT NULL,
  `filter_status_operator` tinyint(1) NOT NULL DEFAULT '1',
  `language` varchar(11) NOT NULL DEFAULT '*',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_template_id` (`template_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__vpem_events`
--

INSERT INTO `#__vpem_events` (`id`, `state`, `checked_out`, `checked_out_time`, `name`, `type`, `template_id`, `mail_to`, `mail_cc`, `mail_bcc`, `mail_from`, `reply_to`, `reply_to_name`, `mail_from_name`, `attachments`, `interval_uom`, `intervals`, `filter_vendor`, `filter_vendor_operator`, `filter_product`, `filter_product_operator`, `filter_category`, `filter_category_operator`, `filter_manufacturer`, `filter_manufacturer_operator`, `filter_guests_only`, `filter_user`, `filter_user_operator`, `filter_shopper_group`, `filter_shopper_group_operator`, `filter_country`, `filter_country_operator`, `filter_shipment_method`, `filter_shipment_method_operator`, `filter_payment_method`, `filter_payment_method_operator`, `filter_st_country`, `filter_st_country_operator`, `filter_status`, `filter_status_operator`, `language`, `created_by`, `created_on`, `modified_by`, `modified_on`) VALUES
(1, 1, 0, '0000-00-00 00:00:00', 'Order Confirmation to User', 'order_confirmation', 1, '', '', '', '', '', '', '', '', '', '', '{}', 1, '{}', 1, '{}', 1, '{}', 1, 0, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '*', 397, '0000-00-00 00:00:00', 0, '2020-09-21 07:56:13'),
(2, 1, 0, '0000-00-00 00:00:00', 'User Registration to User', 'user_registration', 2, '', '', '', '', '', '', '', '', '', '', '{}', 1, '{}', 1, '{}', 1, '{}', 1, 0, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '*', 397, '0000-00-00 00:00:00', 0, '2020-08-27 17:03:07'),
(3, 1, 0, '0000-00-00 00:00:00', 'User Registration to Admin', 'admin_user_registration', 3, '', '', '', '', '', '', '', '', '', '', '{}', 1, '{}', 1, '{}', 1, '{}', 1, 0, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '*', 397, '0000-00-00 00:00:00', 0, '2020-08-27 19:07:29'),
(4, 1, 0, '0000-00-00 00:00:00', 'Ask Question About Product to Admin', 'admin_ask_a_question', 4, '', '', '', '', '', '', '', '', '', '', '{}', 1, '{}', 1, '{}', 1, '{}', 1, 0, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '*', 397, '0000-00-00 00:00:00', 0, '2020-10-14 08:32:30'),
(5, 1, 0, '0000-00-00 00:00:00', 'Product Back in Stock Notification to User', 'product_notification', 5, '', '', '', '', '', '', '', '', '', '', '{}', 1, '{}', 1, '{}', 1, '{}', 1, 0, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '*', 397, '0000-00-00 00:00:00', 0, '2020-10-14 09:09:25'),
(6, 1, 0, '0000-00-00 00:00:00', 'Order Status Change to User', 'order_status_change', 6, '', '', '', '', '', '', '', '', '', '', '{}', 1, '{}', 1, '{}', 1, '{}', 1, 0, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '*', 397, '0000-00-00 00:00:00', 0, '2020-09-15 17:35:14'),
(7, 1, 0, '0000-00-00 00:00:00', 'Order Confirmation to Admin', 'admin_order_confirmation', 7, '', '', '', '', '', '', '', '', '', '', '{}', 1, '{}', 1, '{}', 1, '{}', 1, 0, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '*', 397, '0000-00-00 00:00:00', 0, '2020-10-12 14:58:18'),
(8, 1, 0, '0000-00-00 00:00:00', 'Order Status Change to Admin', 'admin_order_status_change', 8, '', '', '', '', '', '', '', '', '', '', '{}', 1, '{}', 1, '{}', 1, '{}', 1, 0, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '*', 397, '0000-00-00 00:00:00', 0, '2020-10-12 14:58:57'),
(9, 1, 0, '0000-00-00 00:00:00', 'Product Recommendation to User', 'recommend_product', 9, '', '', '', '', '', '', '', '', '', '', '{}', 1, '{}', 1, '{}', 1, '{}', 1, 0, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '*', 397, '0000-00-00 00:00:00', 0, '2020-10-14 07:41:16'),
(10, 0, 0, '0000-00-00 00:00:00', 'Order Follow-up to User', 'order_followup', 10, '', '', '', '', '', '', '', '{}', 'weeks', '{\"minutes\":5,\"hours\":1,\"days\":1,\"weeks\":1,\"months\":1,\"years\":1}', '{}', 1, '{}', 1, '{}', 1, '{}', 1, 0, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, '{}', 1, 'S', 1, '*', 397, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `#__vpem_followups`
--

CREATE TABLE IF NOT EXISTS `#__vpem_followups` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `event_id` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `order_id` int(11) UNSIGNED NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `sent_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_event_id` (`event_id`),
  KEY `idx_order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `#__vpem_outbox`
--

CREATE TABLE IF NOT EXISTS `#__vpem_outbox` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(35) NOT NULL DEFAULT '',
  `mail_to` varchar(765) NOT NULL DEFAULT '',
  `cc` varchar(255) NOT NULL DEFAULT '',
  `bcc` varchar(255) NOT NULL DEFAULT '',
  `mail_from` varchar(255) NOT NULL DEFAULT '',
  `from_name` varchar(255) NOT NULL DEFAULT '',
  `reply_to` varchar(255) NOT NULL DEFAULT '',
  `reply_to_name` varchar(255) NOT NULL DEFAULT '',
  `subject` varchar(510) NOT NULL DEFAULT '',
  `body` longtext NOT NULL,
  `attachments` text NOT NULL,
  `status` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `error_message` varchar(765) NOT NULL DEFAULT '',
  `sent_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_type` (`type`),
  KEY `idx_status` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `#__vpem_templates`
--

CREATE TABLE IF NOT EXISTS `#__vpem_templates` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `name` varchar(255) NOT NULL DEFAULT '',
  `type` varchar(255) NOT NULL DEFAULT '',
  `subject` varchar(1020) NOT NULL DEFAULT '',
  `body` longtext NOT NULL,
  `css_style` mediumtext NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `modified_on` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `#__vpem_templates`
--

INSERT INTO `#__vpem_templates` (`id`, `state`, `checked_out`, `checked_out_time`, `name`, `type`, `subject`, `body`, `css_style`, `created_by`, `created_on`, `modified_by`, `modified_on`) VALUES
(1, 1, 0, '0000-00-00 00:00:00', 'Order Confirmation to User - Template', 'order_confirmation', '{{# JText.sprintf }}COM_VIRTUEMART_MAIL_SUBJ_SHOPPER_{{ order_status }}, {{ vendor.vendor_store_name }}, {{# in_user_currency }}{{ order_total }}{{/ in_user_currency }}, {{ order_number }}{{/ JText.sprintf }}', '<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"border-bottom: 1px solid #e2e5e8;\" bgcolor=\"#FFFFFF\">\r\n                <div style=\"padding: 0px 15px 0px 15px;\" align=\"center\">\r\n                    <table class=\"wrapper\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 700px;\">\r\n                        <!-- LOGO/PREHEADER TEXT -->\r\n                        <tbody>\r\n                            <tr>\r\n                                <td class=\"logo\" style=\"padding: 25px 0px 25px 0px;\">\r\n                                    <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                        <tbody>\r\n                                            <tr>\r\n                                                <td align=\"left\" bgcolor=\"#FFFFFF\" width=\"350\">\r\n                                                    <!--SITE LOGO / SITE NAME--> {{ vendor.vendor_image }}\r\n                                                </td>\r\n                                                <td align=\"right\" bgcolor=\"#FFFFFF\" width=\"350\">\r\n                                                    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                        <tbody>\r\n                                                            <tr>\r\n                                                                <td style=\"padding: 5px 0 0 0; font-size: 14px; font-family: Arial, sans-serif; color: #666666; text-decoration: none;\">\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; white-space: nowrap;\">\r\n                                                                        <strong>\r\n                                                                            {{ vendor.vendor_store_name }}\r\n                                                                        </strong>\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_1 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_2 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.city }} {{ vendor.zip }} {{ vendor.virtuemart_state_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.virtuemart_country_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.phone_1 }}\r\n                                                                    </div>\r\n                                                                </td>\r\n                                                            </tr>\r\n                                                        </tbody>\r\n                                                    </table>\r\n                                                </td>\r\n                                            </tr>\r\n                                        </tbody>\r\n                                    </table>\r\n                                </td>\r\n                            </tr>\r\n                        </tbody>\r\n                    </table>\r\n                </div>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- MAIN CONTENTS SECTION -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n    <tbody>\r\n        <tr>\r\n            <td class=\"section-padding\" style=\"padding: 40px 15px 40px 15px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 700px;\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td style=\"background-color: #ffffff; border-bottom: 2px solid #e2e5e8;\" bgcolor=\"#ffffff\">\r\n                                <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n                                    <tbody>\r\n                                        <tr>\r\n                                            <td style=\"padding: 35px 25px; background-color: #ffffff;\" bgcolor=\"#ffffff\">\r\n                                                <!-- MAIN CONTENTS -->\r\n                                                <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-right: 15px;\" align=\"left\" width=\"33%\" valign=\"top\">\r\n                                                                <div style=\"text-align: left; font-size: 16px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; border-bottom: 2px solid #eeeeee; padding-bottom: 5px; margin-bottom: 10px;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_BILL_TO_LBL{{/ JText._ }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.company }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.title }} {{ details.BT.first_name }} {{ details.BT.middle_name }} {{ details.BT.last_name }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.address_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.address_2 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.city }} {{ details.BT.zip }} {{ details.BT.virtuemart_state_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.virtuemart_country_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.email }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.phone_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.phone_2 }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-right: 15px;\" align=\"left\" width=\"33%\" valign=\"top\">\r\n                                                                <div style=\"text-align: left; font-size: 16px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; border-bottom: 2px solid #eeeeee; padding-bottom: 5px; margin-bottom: 10px;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_SHIP_TO_LBL{{/ JText._ }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.company }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.title }} {{ details.ST.first_name }} {{ details.ST.middle_name }} {{ details.ST.last_name }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.address_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.address_2 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.city }} {{ details.ST.zip }} {{ details.ST.virtuemart_state_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.virtuemart_country_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.phone_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.phone_2 }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\" align=\"left\" valign=\"top\">\r\n                                                                <div style=\"text-align: left; font-size: 16px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; border-bottom: 2px solid #eeeeee; padding-bottom: 5px; margin-bottom: 10px;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ACC_ORDER_INFO{{/ JText._ }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_MAIL_SHOPPER_YOUR_ORDER{{/ JText._ }} {{ order_number }}\r\n                                                                </div>\r\n                                                                {{^ virtuemart_user_id }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_MAIL_SHOPPER_YOUR_PASSWORD{{/ JText._ }}: {{ order_pass }}\r\n                                                                </div>\r\n                                                                {{/ virtuemart_user_id }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# do.strip_tags }}{{# JText.sprintf }}COM_VIRTUEMART_MAIL_SHOPPER_TOTAL_ORDER, {{# in_shop_currency}} {{ order_total }} {{/ in_shop_currency}}{{/ JText.sprintf }}{{/ do.strip_tags }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# do.strip_tags }}{{# JText.sprintf }}COM_VIRTUEMART_MAIL_ORDER_STATUS, {{ order_status_name }}{{/ JText.sprintf }}{{/ do.strip_tags }}\r\n                                                                </div>\r\n                                                                <!--<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_PAYMENT_LBL{{/ JText._ }} {{ payment_method }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_SHIPMENT_LBL{{/ JText._ }} {{ shipment_method }}\r\n                                                                </div>-->\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# do.link }}{{ order_link }}, {{# JText._ }}COM_VIRTUEMART_MAIL_SHOPPER_YOUR_ORDER_LINK{{/ JText._ }}, style=\"padding: 8px 10px; background: #28a745; color: #ffffff; text-decoration: none; text-transform: uppercase; margin: 10px 0; display: block; text-align: center; font-size: 12px; line-height: 1; border-radius: 5px;\" target=\"_blank\"{{/ do.link }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td style=\"padding-bottom: 20px;\" colspan=\"3\">\r\n                                                                <!--BLANK ROW-->\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td colspan=\"3\">\r\n                                                                {{# comments }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                    {{ comments }}\r\n                                                                </div>\r\n                                                                {{/ comments }}\r\n                                                                {{# customer_note }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                	{{# JText.sprintf }}COM_VIRTUEMART_MAIL_SHOPPER_QUESTION, {{ customer_note }}{{/ JText.sprintf }}\r\n                                                                </div>\r\n                                                                {{/ customer_note }}\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\" align=\"left\" colspan=\"3\" valign=\"top\">\r\n                                                                <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n                                                                  <tbody>\r\n                                                                    <tr>\r\n                                                                      <td valign=\"top\">\r\n                                                                        <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                            {{ order_items_table }}\r\n                                                                        </div>\r\n                                                                      </td>\r\n                                                                    </tr>\r\n                                                                  </tbody>\r\n                                                                </table>\r\n\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                            </td>\r\n                                        </tr>\r\n                                    </tbody>\r\n                                </table>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- FOOTER -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"padding: 10px 0px 20px 0px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <!-- UNSUBSCRIBE COPY -->\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" style=\"width: 700px;\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 13px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa;\" align=\"left\">\r\n                                {{ vendor.vendor_store_name }}\r\n                            </td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 11px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa; padding-top: 15px;\" align=\"left\">\r\n                                <!--SITE NAME AND OTHER CONTACT DETAILS--> \r\n                                <span class=\"appleFooter\" style=\"color: #aaaaaa;\">\r\n                                    {{ vendor.vendor_store_desc }}\r\n                                </span>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n\n', '/* CLIENT-SPECIFIC STYLES */\r\n/* Force Outlook to provide a \"view in browser\" message */\r\n#outlook a {\r\n  padding:0;\r\n} \r\n.ReadMsgBody {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display emails at full width */\r\n.ExternalClass {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display normal line spacing */\r\n.ExternalClass,\r\n.ExternalClass p,\r\n.ExternalClass span,\r\n.ExternalClass font,\r\n.ExternalClass td,\r\n.ExternalClass div {\r\n  line-height: 100%;\r\n}\r\n/* Prevent WebKit and Windows mobile changing default text sizes */\r\nbody, table, td, a{\r\n  -webkit-text-size-adjust:100%;\r\n  -ms-text-size-adjust:100%;\r\n}\r\n/* Remove spacing between tables in Outlook 2007 and up */\r\ntable, td {\r\n  mso-table-lspace:0pt;\r\n  mso-table-rspace:0pt;\r\n}\r\n/* Allow smoother rendering of resized image in Internet Explorer */\r\nimg {\r\n  -ms-interpolation-mode:bicubic;\r\n}\r\n\r\n/* RESET STYLES */\r\nbody {\r\n  margin:0;\r\n  padding:0;\r\n  color: #333333;\r\n}\r\nimg {\r\n  border:0;\r\n  height:auto;\r\n  line-height:100%;\r\n  outline:none;\r\n  text-decoration:none;\r\n}\r\ntable {\r\n  border-collapse:collapse !important;\r\n}\r\nbody {\r\n  height:100% !important;\r\n  margin:0;\r\n  padding:0;\r\n  width:100% !important;\r\n}\r\n\r\n/* iOS BLUE LINKS */\r\n.appleBody a {\r\n  color:#68440a;\r\n  text-decoration: none;\r\n}\r\n.appleFooter a {\r\n  color:#999999;\r\n  text-decoration: none;\r\n}\r\n.vmpayment_name, .vmpayment_description, .vmshipment_name, .vmshipment_description {\r\n  display: inline-block;\r\n}\r\n.vmpayment_description, .vmshipment_description {\r\n  margin-left: 10px;\r\n  color: #777;\r\n}\r\n\r\n/* MOBILE STYLES */\r\n@media screen and (max-width: 525px) {\r\n    /* ALLOWS FOR FLUID TABLES */\r\n    table[class=\"wrapper\"] {\r\n      width:100% !important;\r\n    }\r\n\r\n    /* ADJUSTS LAYOUT OF LOGO IMAGE */\r\n    td[class=\"logo\"] {\r\n      text-align: left;\r\n      padding: 20px 0 20px 0 !important;\r\n    }\r\n    td[class=\"logo\"] img {\r\n      margin:0 auto!important;\r\n    }\r\n\r\n    /* USE THESE CLASSES TO HIDE CONTENT ON MOBILE */\r\n    td[class=\"mobile-hide\"] {\r\n      display:none;\r\n    }\r\n    img[class=\"mobile-hide\"] {\r\n      display: none !important;\r\n    }\r\n    img[class=\"img-max\"] {\r\n      max-width: 100% !important;\r\n      width: 100% !important;\r\n      height:auto !important;\r\n    }\r\n\r\n    /* FULL-WIDTH TABLES */\r\n    table[class=\"responsive-table\"] {\r\n      width:100%!important;\r\n    }\r\n\r\n    /* UTILITY CLASSES FOR ADJUSTING PADDING ON MOBILE */\r\n    td[class=\"padding\"] {\r\n      padding: 10px 5% 15px 5% !important;\r\n    }\r\n    td[class=\"padding-copy\"] {\r\n      padding: 10px 5% 10px 5% !important;\r\n      text-align: left;\r\n    }\r\n    td[class=\"padding-meta\"] {\r\n      padding: 30px 5% 0px 5% !important;\r\n      text-align: center;\r\n    }\r\n    td[class=\"no-pad\"] {\r\n      padding: 0 0 20px 0 !important;\r\n    }\r\n    td[class=\"no-padding\"] {\r\n      padding: 0 !important;\r\n    }\r\n    td[class=\"section-padding\"] {\r\n      padding: 50px 15px 50px 15px !important;\r\n    }\r\n    td[class=\"section-padding-bottom-image\"] {\r\n      padding: 50px 15px 0 15px !important;\r\n    }\r\n\r\n    /* ADJUST BUTTONS ON MOBILE */\r\n    td[class=\"mobile-wrapper\"] {\r\n        padding: 10px 5% 15px 5% !important;\r\n    }\r\n    table[class=\"mobile-button-container\"] {\r\n        margin:0 auto;\r\n        width:100% !important;\r\n    }\r\n    a[class=\"mobile-button\"] {\r\n        width:80% !important;\r\n        padding: 15px !important;\r\n        border: 0 !important;\r\n        font-size: 16px !important;\r\n    }\r\n}', 397, '0000-00-00 00:00:00', 0, '2020-12-20 10:11:01'),
(2, 1, 0, '0000-00-00 00:00:00', 'User Registration to User - Template', 'user_registration', '{{# JText.sprintf }}COM_VIRTUEMART_VENDOR_NEW_SHOPPER_SUBJECT, {{ user.username }}, {{ vendor.vendor_store_name }}{{/ JText.sprintf }}', '<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"border-bottom: 1px solid #e2e5e8;\" bgcolor=\"#FFFFFF\">\r\n                <div style=\"padding: 0px 15px 0px 15px;\" align=\"center\">\r\n                    <table class=\"wrapper\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                        <!-- LOGO/PREHEADER TEXT -->\r\n                        <tbody>\r\n                            <tr>\r\n                                <td class=\"logo\" style=\"padding: 25px 0px 25px 0px;\">\r\n                                    <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                        <tbody>\r\n                                            <tr>\r\n                                                <td align=\"left\" bgcolor=\"#FFFFFF\" width=\"350\" style=\"width: 350px;\">\r\n                                                    <!--SITE LOGO / SITE NAME--> {{ vendor.vendor_image }}\r\n                                                </td>\r\n                                                <td align=\"right\" bgcolor=\"#FFFFFF\" width=\"350\" style=\"width: 350px;\">\r\n                                                    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                        <tbody>\r\n                                                            <tr>\r\n                                                                <td style=\"padding: 5px 0 0 0; font-size: 14px; font-family: Arial, sans-serif; color: #666666; text-decoration: none;\">\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; white-space: nowrap;\">\r\n                                                                        <strong>\r\n                                                                            {{ vendor.vendor_store_name }} \r\n                                                                        </strong>\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_1 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_2 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.city }} {{ vendor.zip }} {{ vendor.virtuemart_state_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.virtuemart_country_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.phone_1 }}\r\n                                                                    </div>\r\n                                                                </td>\r\n                                                            </tr>\r\n                                                        </tbody>\r\n                                                    </table>\r\n                                                </td>\r\n                                            </tr>\r\n                                        </tbody>\r\n                                    </table>\r\n                                </td>\r\n                            </tr>\r\n                        </tbody>\r\n                    </table>\r\n                </div>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- MAIN CONTENTS SECTION -->\r\n<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td class=\"section-padding\" style=\"padding: 40px 15px 40px 15px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td style=\"background-color: #ffffff; border-bottom: 2px solid #e2e5e8;\" bgcolor=\"#ffffff\">\r\n                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                    <tbody>\r\n                                        <tr>\r\n                                            <td style=\"padding: 35px 25px; background-color: #ffffff;\" bgcolor=\"#ffffff\">\r\n                                                <!-- MAIN CONTENTS -->\r\n                                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText.sprintf }}COM_VIRTUEMART_WELCOME_USER, {{ user.name }}{{/ JText.sprintf }}\r\n                                                                </div>\r\n                                                                {{# user.activationLink }}\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; margin-top: 20px;\">\r\n                                                                    {{# do.link }}{{ user.activationLink }}, {{# JText._ }}COM_VIRTUEMART_LINK_ACTIVATE_ACCOUNT{{/ JText._ }}{{/ do.link }}\r\n                                                                </div>\r\n                                                                {{/ user.activationLink }}\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 15px;\" colspan=\"2\">\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_SHOPPER_REGISTRATION_DATA{{/ JText._ }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                                    <tbody>\r\n                                                                        <tr>\r\n                                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\" width=\"10%\">\r\n                                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                                    <strong>{{# JText._ }}COM_VIRTUEMART_USERNAME{{/ JText._ }}:</strong> {{ user.username }}\r\n                                                                                </div>\r\n                                                                                {{# user.password }}\r\n                                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                                    <strong>{{# JText._ }}COM_VIRTUEMART_YOUR_PASSWORD{{/ JText._ }}:</strong> {{ user.password }}\r\n                                                                                </div>\r\n                                                                                {{/ user.password }}\r\n                                                                                {{# userFields }}\r\n                                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                                    <strong>{{ title }}:</strong> {{ value }}\r\n                                                                                </div>\r\n                                                                                {{/ userFields }}\r\n                                                                            </td>\r\n                                                                        </tr>\r\n                                                                    </tbody>\r\n                                                                </table>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                            </td>\r\n                                        </tr>\r\n                                    </tbody>\r\n                                </table>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- FOOTER -->\r\n<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"padding: 10px 0px 20px 0px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <!-- UNSUBSCRIBE COPY -->\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 13px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa;\" align=\"left\">\r\n                                {{ vendor.vendor_store_name }}\r\n                            </td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 11px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa; padding-top: 15px;\" align=\"left\">\r\n                                <!--SITE NAME AND OTHER CONTACT DETAILS--> \r\n                                <span class=\"appleFooter\" style=\"color: #aaaaaa;\">\r\n                                    {{ vendor.vendor_store_desc }} \r\n                                </span>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\n', '/* CLIENT-SPECIFIC STYLES */\r\n/* Force Outlook to provide a \"view in browser\" message */\r\n#outlook a {\r\n  padding:0;\r\n} \r\n.ReadMsgBody {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display emails at full width */\r\n.ExternalClass {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display normal line spacing */\r\n.ExternalClass,\r\n.ExternalClass p,\r\n.ExternalClass span,\r\n.ExternalClass font,\r\n.ExternalClass td,\r\n.ExternalClass div {\r\n  line-height: 100%;\r\n}\r\n/* Prevent WebKit and Windows mobile changing default text sizes */\r\nbody, table, td, a{\r\n  -webkit-text-size-adjust:100%;\r\n  -ms-text-size-adjust:100%;\r\n}\r\n/* Remove spacing between tables in Outlook 2007 and up */\r\ntable, td {\r\n  mso-table-lspace:0pt;\r\n  mso-table-rspace:0pt;\r\n}\r\n/* Allow smoother rendering of resized image in Internet Explorer */\r\nimg {\r\n  -ms-interpolation-mode:bicubic;\r\n}\r\n\r\n/* RESET STYLES */\r\nbody {\r\n  margin:0;\r\n  padding:0;\r\n}\r\nimg {\r\n  border:0;\r\n  height:auto;\r\n  line-height:100%;\r\n  outline:none;\r\n  text-decoration:none;\r\n}\r\ntable {\r\n  border-collapse:collapse !important;\r\n}\r\nbody {\r\n  height:100% !important;\r\n  margin:0;\r\n  padding:0;\r\n  width:100% !important;\r\n}\r\n\r\n/* iOS BLUE LINKS */\r\n.appleBody a {\r\n  color:#68440a;\r\n  text-decoration: none;\r\n}\r\n.appleFooter a {\r\n  color:#999999;\r\n  text-decoration: none;\r\n}\r\n\r\n/* MOBILE STYLES */\r\n@media screen and (max-width: 525px) {\r\n    /* ALLOWS FOR FLUID TABLES */\r\n    table[class=\"wrapper\"] {\r\n      width:100% !important;\r\n    }\r\n\r\n    /* ADJUSTS LAYOUT OF LOGO IMAGE */\r\n    td[class=\"logo\"] {\r\n      text-align: left;\r\n      padding: 20px 0 20px 0 !important;\r\n    }\r\n    td[class=\"logo\"] img {\r\n      margin:0 auto!important;\r\n    }\r\n\r\n    /* USE THESE CLASSES TO HIDE CONTENT ON MOBILE */\r\n    td[class=\"mobile-hide\"] {\r\n      display:none;\r\n    }\r\n    img[class=\"mobile-hide\"] {\r\n      display: none !important;\r\n    }\r\n    img[class=\"img-max\"] {\r\n      max-width: 100% !important;\r\n      width: 100% !important;\r\n      height:auto !important;\r\n    }\r\n\r\n    /* FULL-WIDTH TABLES */\r\n    table[class=\"responsive-table\"] {\r\n      width:100%!important;\r\n    }\r\n\r\n    /* UTILITY CLASSES FOR ADJUSTING PADDING ON MOBILE */\r\n    td[class=\"padding\"] {\r\n      padding: 10px 5% 15px 5% !important;\r\n    }\r\n    td[class=\"padding-copy\"] {\r\n      padding: 10px 5% 10px 5% !important;\r\n      text-align: left;\r\n    }\r\n    td[class=\"padding-meta\"] {\r\n      padding: 30px 5% 0px 5% !important;\r\n      text-align: center;\r\n    }\r\n    td[class=\"no-pad\"] {\r\n      padding: 0 0 20px 0 !important;\r\n    }\r\n    td[class=\"no-padding\"] {\r\n      padding: 0 !important;\r\n    }\r\n    td[class=\"section-padding\"] {\r\n      padding: 50px 15px 50px 15px !important;\r\n    }\r\n    td[class=\"section-padding-bottom-image\"] {\r\n      padding: 50px 15px 0 15px !important;\r\n    }\r\n\r\n    /* ADJUST BUTTONS ON MOBILE */\r\n    td[class=\"mobile-wrapper\"] {\r\n        padding: 10px 5% 15px 5% !important;\r\n    }\r\n    table[class=\"mobile-button-container\"] {\r\n        margin:0 auto;\r\n        width:100% !important;\r\n    }\r\n    a[class=\"mobile-button\"] {\r\n        width:80% !important;\r\n        padding: 15px !important;\r\n        border: 0 !important;\r\n        font-size: 16px !important;\r\n    }\r\n}', 397, '0000-00-00 00:00:00', 0, '2020-12-20 11:18:14');
INSERT INTO `#__vpem_templates` (`id`, `state`, `checked_out`, `checked_out_time`, `name`, `type`, `subject`, `body`, `css_style`, `created_by`, `created_on`, `modified_by`, `modified_on`) VALUES
(3, 1, 0, '0000-00-00 00:00:00', 'User Registration to Admin - Template', 'admin_user_registration', '{{# JText.sprintf }}COM_VIRTUEMART_VENDOR_NEW_SHOPPER_SUBJECT, {{ user.username }}, {{ vendor.vendor_store_name }}{{/ JText.sprintf }}', '<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"border-bottom: 1px solid #e2e5e8;\" bgcolor=\"#FFFFFF\">\r\n                <div style=\"padding: 0px 15px 0px 15px;\" align=\"center\">\r\n                    <table class=\"wrapper\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                        <!-- LOGO/PREHEADER TEXT -->\r\n                        <tbody>\r\n                            <tr>\r\n                                <td class=\"logo\" style=\"padding: 25px 0px 25px 0px;\">\r\n                                    <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                        <tbody>\r\n                                            <tr>\r\n                                                <td align=\"left\" bgcolor=\"#FFFFFF\" width=\"350\" style=\"width: 350px;\">\r\n                                                    <!--SITE LOGO / SITE NAME--> {{ vendor.vendor_image }}\r\n                                                </td>\r\n                                                <td align=\"right\" bgcolor=\"#FFFFFF\" width=\"350\" style=\"width: 350px;\">\r\n                                                    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                        <tbody>\r\n                                                            <tr>\r\n                                                                <td style=\"padding: 5px 0 0 0; font-size: 14px; font-family: Arial, sans-serif; color: #666666; text-decoration: none;\">\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; white-space: nowrap;\">\r\n                                                                        <strong>\r\n                                                                            {{ vendor.vendor_store_name }} \r\n                                                                        </strong>\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_1 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_2 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.city }} {{ vendor.zip }} {{ vendor.virtuemart_state_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.virtuemart_country_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.phone_1 }}\r\n                                                                    </div>\r\n                                                                </td>\r\n                                                            </tr>\r\n                                                        </tbody>\r\n                                                    </table>\r\n                                                </td>\r\n                                            </tr>\r\n                                        </tbody>\r\n                                    </table>\r\n                                </td>\r\n                            </tr>\r\n                        </tbody>\r\n                    </table>\r\n                </div>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- MAIN CONTENTS SECTION -->\r\n<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td class=\"section-padding\" style=\"padding: 40px 15px 40px 15px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td style=\"background-color: #ffffff; border-bottom: 2px solid #e2e5e8;\" bgcolor=\"#ffffff\">\r\n                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                    <tbody>\r\n                                        <tr>\r\n                                            <td style=\"padding: 35px 25px; background-color: #ffffff;\" bgcolor=\"#ffffff\">\r\n                                                <!-- MAIN CONTENTS -->\r\n                                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText.sprintf }}COM_VIRTUEMART_WELCOME_VENDOR, {{ vendor.vendor_store_name }}{{/ JText.sprintf }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 15px;\" colspan=\"2\">\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_VENDOR_REGISTRATION_DATA{{/ JText._ }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                {{# userFields }}{{/ userFields }}\r\n                                                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                                    <tbody>\r\n                                                                        <tr>\r\n                                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\" width=\"10%\">\r\n                                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                                    <strong>{{# JText._ }}COM_VIRTUEMART_USERNAME{{/ JText._ }}:</strong> {{ user.username }}\r\n                                                                                </div>\r\n                                                                                {{# userFields }}\r\n                                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                                    <strong>{{ title }}:</strong> {{ value }}\r\n                                                                                </div>\r\n                                                                                {{/ userFields }}\r\n                                                                            </td>\r\n                                                                        </tr>\r\n                                                                    </tbody>\r\n                                                                </table>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                            </td>\r\n                                        </tr>\r\n                                    </tbody>\r\n                                </table>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- FOOTER -->\r\n<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"padding: 10px 0px 20px 0px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <!-- UNSUBSCRIBE COPY -->\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 13px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa;\" align=\"left\">\r\n                                {{ vendor.vendor_store_name }}\r\n                            </td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 11px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa; padding-top: 15px;\" align=\"left\">\r\n                                <!--SITE NAME AND OTHER CONTACT DETAILS--> \r\n                                <span class=\"appleFooter\" style=\"color: #aaaaaa;\">\r\n                                    {{ vendor.vendor_store_desc }} \r\n                                </span>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\n', '/* CLIENT-SPECIFIC STYLES */\r\n/* Force Outlook to provide a \"view in browser\" message */\r\n#outlook a {\r\n  padding:0;\r\n} \r\n.ReadMsgBody {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display emails at full width */\r\n.ExternalClass {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display normal line spacing */\r\n.ExternalClass,\r\n.ExternalClass p,\r\n.ExternalClass span,\r\n.ExternalClass font,\r\n.ExternalClass td,\r\n.ExternalClass div {\r\n  line-height: 100%;\r\n}\r\n/* Prevent WebKit and Windows mobile changing default text sizes */\r\nbody, table, td, a{\r\n  -webkit-text-size-adjust:100%;\r\n  -ms-text-size-adjust:100%;\r\n}\r\n/* Remove spacing between tables in Outlook 2007 and up */\r\ntable, td {\r\n  mso-table-lspace:0pt;\r\n  mso-table-rspace:0pt;\r\n}\r\n/* Allow smoother rendering of resized image in Internet Explorer */\r\nimg {\r\n  -ms-interpolation-mode:bicubic;\r\n}\r\n\r\n/* RESET STYLES */\r\nbody {\r\n  margin:0;\r\n  padding:0;\r\n}\r\nimg {\r\n  border:0;\r\n  height:auto;\r\n  line-height:100%;\r\n  outline:none;\r\n  text-decoration:none;\r\n}\r\ntable {\r\n  border-collapse:collapse !important;\r\n}\r\nbody {\r\n  height:100% !important;\r\n  margin:0;\r\n  padding:0;\r\n  width:100% !important;\r\n}\r\n\r\n/* iOS BLUE LINKS */\r\n.appleBody a {\r\n  color:#68440a;\r\n  text-decoration: none;\r\n}\r\n.appleFooter a {\r\n  color:#999999;\r\n  text-decoration: none;\r\n}\r\n\r\n/* MOBILE STYLES */\r\n@media screen and (max-width: 525px) {\r\n    /* ALLOWS FOR FLUID TABLES */\r\n    table[class=\"wrapper\"] {\r\n      width:100% !important;\r\n    }\r\n\r\n    /* ADJUSTS LAYOUT OF LOGO IMAGE */\r\n    td[class=\"logo\"] {\r\n      text-align: left;\r\n      padding: 20px 0 20px 0 !important;\r\n    }\r\n    td[class=\"logo\"] img {\r\n      margin:0 auto!important;\r\n    }\r\n\r\n    /* USE THESE CLASSES TO HIDE CONTENT ON MOBILE */\r\n    td[class=\"mobile-hide\"] {\r\n      display:none;\r\n    }\r\n    img[class=\"mobile-hide\"] {\r\n      display: none !important;\r\n    }\r\n    img[class=\"img-max\"] {\r\n      max-width: 100% !important;\r\n      width: 100% !important;\r\n      height:auto !important;\r\n    }\r\n\r\n    /* FULL-WIDTH TABLES */\r\n    table[class=\"responsive-table\"] {\r\n      width:100%!important;\r\n    }\r\n\r\n    /* UTILITY CLASSES FOR ADJUSTING PADDING ON MOBILE */\r\n    td[class=\"padding\"] {\r\n      padding: 10px 5% 15px 5% !important;\r\n    }\r\n    td[class=\"padding-copy\"] {\r\n      padding: 10px 5% 10px 5% !important;\r\n      text-align: left;\r\n    }\r\n    td[class=\"padding-meta\"] {\r\n      padding: 30px 5% 0px 5% !important;\r\n      text-align: center;\r\n    }\r\n    td[class=\"no-pad\"] {\r\n      padding: 0 0 20px 0 !important;\r\n    }\r\n    td[class=\"no-padding\"] {\r\n      padding: 0 !important;\r\n    }\r\n    td[class=\"section-padding\"] {\r\n      padding: 50px 15px 50px 15px !important;\r\n    }\r\n    td[class=\"section-padding-bottom-image\"] {\r\n      padding: 50px 15px 0 15px !important;\r\n    }\r\n\r\n    /* ADJUST BUTTONS ON MOBILE */\r\n    td[class=\"mobile-wrapper\"] {\r\n        padding: 10px 5% 15px 5% !important;\r\n    }\r\n    table[class=\"mobile-button-container\"] {\r\n        margin:0 auto;\r\n        width:100% !important;\r\n    }\r\n    a[class=\"mobile-button\"] {\r\n        width:80% !important;\r\n        padding: 15px !important;\r\n        border: 0 !important;\r\n        font-size: 16px !important;\r\n    }\r\n}', 397, '0000-00-00 00:00:00', 0, '2020-12-20 11:15:23'),
(4, 1, 0, '0000-00-00 00:00:00', 'Ask Question About Product to Admin - Template', 'admin_ask_a_question', '{{# JText._ }}COM_VIRTUEMART_QUESTION_ABOUT{{/ JText._ }} {{ product.product_name }}', '<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"border-bottom: 1px solid #e2e5e8;\" bgcolor=\"#FFFFFF\">\r\n                <div style=\"padding: 0px 15px 0px 15px;\" align=\"center\">\r\n                    <table class=\"wrapper\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                        <!-- LOGO/PREHEADER TEXT -->\r\n                        <tbody>\r\n                            <tr>\r\n                                <td class=\"logo\" style=\"padding: 25px 0px 25px 0px;\">\r\n                                    <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                        <tbody>\r\n                                            <tr>\r\n                                                <td align=\"left\" bgcolor=\"#FFFFFF\" width=\"350\" style=\"width: 350px;\">\r\n                                                    <!--SITE LOGO / SITE NAME--> {{ vendor.vendor_image }}\r\n                                                </td>\r\n                                                <td align=\"right\" bgcolor=\"#FFFFFF\" width=\"350\" style=\"width: 350px;\">\r\n                                                    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                        <tbody>\r\n                                                            <tr>\r\n                                                                <td style=\"padding: 5px 0 0 0; font-size: 14px; font-family: Arial, sans-serif; color: #666666; text-decoration: none;\">\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; white-space: nowrap;\">\r\n                                                                        <strong>\r\n                                                                            {{ vendor.vendor_store_name }} \r\n                                                                        </strong>\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_1 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_2 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.city }} {{ vendor.zip }} {{ vendor.virtuemart_state_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.virtuemart_country_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.phone_1 }}\r\n                                                                    </div>\r\n                                                                </td>\r\n                                                            </tr>\r\n                                                        </tbody>\r\n                                                    </table>\r\n                                                </td>\r\n                                            </tr>\r\n                                        </tbody>\r\n                                    </table>\r\n                                </td>\r\n                            </tr>\r\n                        </tbody>\r\n                    </table>\r\n                </div>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- MAIN CONTENTS SECTION -->\r\n<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td class=\"section-padding\" style=\"padding: 40px 15px 40px 15px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td style=\"background-color: #ffffff; border-bottom: 2px solid #e2e5e8;\" bgcolor=\"#ffffff\">\r\n                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                    <tbody>\r\n                                        <tr>\r\n                                            <td style=\"padding: 35px 25px; background-color: #ffffff;\" bgcolor=\"#ffffff\">\r\n                                                <!-- MAIN CONTENTS -->\r\n                                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText.sprintf }}COM_VIRTUEMART_QUESTION_MAIL_FROM, {{ user.name }}, {{ user.email }}{{/ JText.sprintf }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ comment }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; border-bottom: 1px solid #dddddd;\">\r\n                                                                <!--BLANK ROW WITH BORDER-->\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-top: 20px;\" width=\"30%\" valign=\"top\">\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold;\">\r\n                                                                    {{# do.link }}{{ product.product_url }}, {{ product_thumbnail }}{{/ do.link }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-top: 20px;\" width=\"70%\" valign=\"top\">\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold;\">\r\n                                                                    <h2>\r\n                                                                        {{ product.product_name }}\r\n                                                                        {{# product.product_sku }}\r\n                                                                        &nbsp;({{ product.product_sku }})\r\n                                                                        {{/ product.product_sku }}\r\n                                                                    </h2>\r\n                                                                    <p style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: normal;\">\r\n                                                                    	{{ product.product_s_desc }}\r\n                                                                    </p>\r\n                                                                    {{# do.link }}{{ product.product_url }}, {{# JText._ }}COM_VIRTUEMART_PRODUCT_DETAILS{{/ JText._ }}, target=\"_blank\"{{/ do.link }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                            </td>\r\n                                        </tr>\r\n                                    </tbody>\r\n                                </table>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- FOOTER -->\r\n<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"padding: 10px 0px 20px 0px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <!-- UNSUBSCRIBE COPY -->\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 13px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa;\" align=\"left\">\r\n                                {{ vendor.vendor_store_name }}\r\n                            </td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 11px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa; padding-top: 15px;\" align=\"left\">\r\n                                <!--SITE NAME AND OTHER CONTACT DETAILS--> \r\n                                <span class=\"appleFooter\" style=\"color: #aaaaaa;\">\r\n                                    {{ vendor.vendor_store_desc }} \r\n                                </span>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\n', '/* CLIENT-SPECIFIC STYLES */\r\n/* Force Outlook to provide a \"view in browser\" message */\r\n#outlook a {\r\n  padding:0;\r\n} \r\n.ReadMsgBody {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display emails at full width */\r\n.ExternalClass {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display normal line spacing */\r\n.ExternalClass,\r\n.ExternalClass p,\r\n.ExternalClass span,\r\n.ExternalClass font,\r\n.ExternalClass td,\r\n.ExternalClass div {\r\n  line-height: 100%;\r\n}\r\n/* Prevent WebKit and Windows mobile changing default text sizes */\r\nbody, table, td, a{\r\n  -webkit-text-size-adjust:100%;\r\n  -ms-text-size-adjust:100%;\r\n}\r\n/* Remove spacing between tables in Outlook 2007 and up */\r\ntable, td {\r\n  mso-table-lspace:0pt;\r\n  mso-table-rspace:0pt;\r\n}\r\n/* Allow smoother rendering of resized image in Internet Explorer */\r\nimg {\r\n  -ms-interpolation-mode:bicubic;\r\n}\r\n\r\n/* RESET STYLES */\r\nbody {\r\n  margin:0;\r\n  padding:0;\r\n}\r\nimg {\r\n  border:0;\r\n  height:auto;\r\n  line-height:100%;\r\n  outline:none;\r\n  text-decoration:none;\r\n}\r\ntable {\r\n  border-collapse:collapse !important;\r\n}\r\nbody {\r\n  height:100% !important;\r\n  margin:0;\r\n  padding:0;\r\n  width:100% !important;\r\n}\r\n\r\n/* iOS BLUE LINKS */\r\n.appleBody a {\r\n  color:#68440a;\r\n  text-decoration: none;\r\n}\r\n.appleFooter a {\r\n  color:#999999;\r\n  text-decoration: none;\r\n}\r\n\r\n/* MOBILE STYLES */\r\n@media screen and (max-width: 525px) {\r\n    /* ALLOWS FOR FLUID TABLES */\r\n    table[class=\"wrapper\"] {\r\n      width:100% !important;\r\n    }\r\n\r\n    /* ADJUSTS LAYOUT OF LOGO IMAGE */\r\n    td[class=\"logo\"] {\r\n      text-align: left;\r\n      padding: 20px 0 20px 0 !important;\r\n    }\r\n    td[class=\"logo\"] img {\r\n      margin:0 auto!important;\r\n    }\r\n\r\n    /* USE THESE CLASSES TO HIDE CONTENT ON MOBILE */\r\n    td[class=\"mobile-hide\"] {\r\n      display:none;\r\n    }\r\n    img[class=\"mobile-hide\"] {\r\n      display: none !important;\r\n    }\r\n    img[class=\"img-max\"] {\r\n      max-width: 100% !important;\r\n      width: 100% !important;\r\n      height:auto !important;\r\n    }\r\n\r\n    /* FULL-WIDTH TABLES */\r\n    table[class=\"responsive-table\"] {\r\n      width:100%!important;\r\n    }\r\n\r\n    /* UTILITY CLASSES FOR ADJUSTING PADDING ON MOBILE */\r\n    td[class=\"padding\"] {\r\n      padding: 10px 5% 15px 5% !important;\r\n    }\r\n    td[class=\"padding-copy\"] {\r\n      padding: 10px 5% 10px 5% !important;\r\n      text-align: left;\r\n    }\r\n    td[class=\"padding-meta\"] {\r\n      padding: 30px 5% 0px 5% !important;\r\n      text-align: center;\r\n    }\r\n    td[class=\"no-pad\"] {\r\n      padding: 0 0 20px 0 !important;\r\n    }\r\n    td[class=\"no-padding\"] {\r\n      padding: 0 !important;\r\n    }\r\n    td[class=\"section-padding\"] {\r\n      padding: 50px 15px 50px 15px !important;\r\n    }\r\n    td[class=\"section-padding-bottom-image\"] {\r\n      padding: 50px 15px 0 15px !important;\r\n    }\r\n\r\n    /* ADJUST BUTTONS ON MOBILE */\r\n    td[class=\"mobile-wrapper\"] {\r\n        padding: 10px 5% 15px 5% !important;\r\n    }\r\n    table[class=\"mobile-button-container\"] {\r\n        margin:0 auto;\r\n        width:100% !important;\r\n    }\r\n    a[class=\"mobile-button\"] {\r\n        width:80% !important;\r\n        padding: 15px !important;\r\n        border: 0 !important;\r\n        font-size: 16px !important;\r\n    }\r\n}', 397, '0000-00-00 00:00:00', 0, '2020-12-20 10:13:26'),
(5, 1, 0, '0000-00-00 00:00:00', 'Product Back In Stock Notification to User - Template', 'product_notification', '{{# JText.sprintf }}COM_VIRTUEMART_PRODUCT_WAITING_LIST_EMAIL_SUBJECT, {{ product_name }}{{/ JText.sprintf }}', '<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"border-bottom: 1px solid #e2e5e8;\" bgcolor=\"#FFFFFF\">\r\n                <div style=\"padding: 0px 15px 0px 15px;\" align=\"center\">\r\n                    <table class=\"wrapper\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                        <!-- LOGO/PREHEADER TEXT -->\r\n                        <tbody>\r\n                            <tr>\r\n                                <td class=\"logo\" style=\"padding: 25px 0px 25px 0px;\">\r\n                                    <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                        <tbody>\r\n                                            <tr>\r\n                                                <td align=\"left\" bgcolor=\"#FFFFFF\" width=\"350\" style=\"width: 350px;\">\r\n                                                    <!--SITE LOGO / SITE NAME--> {{ vendor.vendor_image }}\r\n                                                </td>\r\n                                                <td align=\"right\" bgcolor=\"#FFFFFF\" width=\"350\" style=\"width: 350px;\">\r\n                                                    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                        <tbody>\r\n                                                            <tr>\r\n                                                                <td style=\"padding: 5px 0 0 0; font-size: 14px; font-family: Arial, sans-serif; color: #666666; text-decoration: none;\">\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; white-space: nowrap;\">\r\n                                                                        <strong>\r\n                                                                            {{ vendor.vendor_store_name }} \r\n                                                                        </strong>\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_1 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_2 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.city }} {{ vendor.zip }} {{ vendor.virtuemart_state_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.virtuemart_country_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.phone_1 }}\r\n                                                                    </div>\r\n                                                                </td>\r\n                                                            </tr>\r\n                                                        </tbody>\r\n                                                    </table>\r\n                                                </td>\r\n                                            </tr>\r\n                                        </tbody>\r\n                                    </table>\r\n                                </td>\r\n                            </tr>\r\n                        </tbody>\r\n                    </table>\r\n                </div>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- MAIN CONTENTS SECTION -->\r\n<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td class=\"section-padding\" style=\"padding: 40px 15px 40px 15px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td style=\"background-color: #ffffff; border-bottom: 2px solid #e2e5e8;\" bgcolor=\"#ffffff\">\r\n                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                    <tbody>\r\n                                        <tr>\r\n                                            <td style=\"padding: 35px 25px; background-color: #ffffff;\" bgcolor=\"#ffffff\">\r\n                                                <!-- MAIN CONTENTS -->\r\n                                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; border-bottom: 1px solid #dddddd;\">\r\n                                                                {{# mail_body }}\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ mail_body }}\r\n                                                                </div>\r\n                                                                {{/ mail_body }}\r\n                                                                {{^ mail_body }}\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText.sprintf }}COM_VIRTUEMART_CART_NOTIFY_MAIL_HTML, {{ product_name }}, {{ product_link }}{{/ JText.sprintf }}\r\n                                                                </div>\r\n                                                                {{/ mail_body }}\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                            </td>\r\n                                        </tr>\r\n                                    </tbody>\r\n                                </table>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- FOOTER -->\r\n<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"padding: 10px 0px 20px 0px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <!-- UNSUBSCRIBE COPY -->\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 13px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa;\" align=\"left\">\r\n                                {{ vendor.vendor_store_name }}\r\n                            </td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 11px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa; padding-top: 15px;\" align=\"left\">\r\n                                <!--SITE NAME AND OTHER CONTACT DETAILS--> \r\n                                <span class=\"appleFooter\" style=\"color: #aaaaaa;\">\r\n                                    {{ vendor.vendor_store_desc }} \r\n                                </span>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\n', '/* CLIENT-SPECIFIC STYLES */\r\n/* Force Outlook to provide a \"view in browser\" message */\r\n#outlook a {\r\n  padding:0;\r\n} \r\n.ReadMsgBody {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display emails at full width */\r\n.ExternalClass {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display normal line spacing */\r\n.ExternalClass,\r\n.ExternalClass p,\r\n.ExternalClass span,\r\n.ExternalClass font,\r\n.ExternalClass td,\r\n.ExternalClass div {\r\n  line-height: 100%;\r\n}\r\n/* Prevent WebKit and Windows mobile changing default text sizes */\r\nbody, table, td, a{\r\n  -webkit-text-size-adjust:100%;\r\n  -ms-text-size-adjust:100%;\r\n}\r\n/* Remove spacing between tables in Outlook 2007 and up */\r\ntable, td {\r\n  mso-table-lspace:0pt;\r\n  mso-table-rspace:0pt;\r\n}\r\n/* Allow smoother rendering of resized image in Internet Explorer */\r\nimg {\r\n  -ms-interpolation-mode:bicubic;\r\n}\r\n\r\n/* RESET STYLES */\r\nbody {\r\n  margin:0;\r\n  padding:0;\r\n}\r\nimg {\r\n  border:0;\r\n  height:auto;\r\n  line-height:100%;\r\n  outline:none;\r\n  text-decoration:none;\r\n}\r\ntable {\r\n  border-collapse:collapse !important;\r\n}\r\nbody {\r\n  height:100% !important;\r\n  margin:0;\r\n  padding:0;\r\n  width:100% !important;\r\n}\r\n\r\n/* iOS BLUE LINKS */\r\n.appleBody a {\r\n  color:#68440a;\r\n  text-decoration: none;\r\n}\r\n.appleFooter a {\r\n  color:#999999;\r\n  text-decoration: none;\r\n}\r\n\r\n/* MOBILE STYLES */\r\n@media screen and (max-width: 525px) {\r\n    /* ALLOWS FOR FLUID TABLES */\r\n    table[class=\"wrapper\"] {\r\n      width:100% !important;\r\n    }\r\n\r\n    /* ADJUSTS LAYOUT OF LOGO IMAGE */\r\n    td[class=\"logo\"] {\r\n      text-align: left;\r\n      padding: 20px 0 20px 0 !important;\r\n    }\r\n    td[class=\"logo\"] img {\r\n      margin:0 auto!important;\r\n    }\r\n\r\n    /* USE THESE CLASSES TO HIDE CONTENT ON MOBILE */\r\n    td[class=\"mobile-hide\"] {\r\n      display:none;\r\n    }\r\n    img[class=\"mobile-hide\"] {\r\n      display: none !important;\r\n    }\r\n    img[class=\"img-max\"] {\r\n      max-width: 100% !important;\r\n      width: 100% !important;\r\n      height:auto !important;\r\n    }\r\n\r\n    /* FULL-WIDTH TABLES */\r\n    table[class=\"responsive-table\"] {\r\n      width:100%!important;\r\n    }\r\n\r\n    /* UTILITY CLASSES FOR ADJUSTING PADDING ON MOBILE */\r\n    td[class=\"padding\"] {\r\n      padding: 10px 5% 15px 5% !important;\r\n    }\r\n    td[class=\"padding-copy\"] {\r\n      padding: 10px 5% 10px 5% !important;\r\n      text-align: left;\r\n    }\r\n    td[class=\"padding-meta\"] {\r\n      padding: 30px 5% 0px 5% !important;\r\n      text-align: center;\r\n    }\r\n    td[class=\"no-pad\"] {\r\n      padding: 0 0 20px 0 !important;\r\n    }\r\n    td[class=\"no-padding\"] {\r\n      padding: 0 !important;\r\n    }\r\n    td[class=\"section-padding\"] {\r\n      padding: 50px 15px 50px 15px !important;\r\n    }\r\n    td[class=\"section-padding-bottom-image\"] {\r\n      padding: 50px 15px 0 15px !important;\r\n    }\r\n\r\n    /* ADJUST BUTTONS ON MOBILE */\r\n    td[class=\"mobile-wrapper\"] {\r\n        padding: 10px 5% 15px 5% !important;\r\n    }\r\n    table[class=\"mobile-button-container\"] {\r\n        margin:0 auto;\r\n        width:100% !important;\r\n    }\r\n    a[class=\"mobile-button\"] {\r\n        width:80% !important;\r\n        padding: 15px !important;\r\n        border: 0 !important;\r\n        font-size: 16px !important;\r\n    }\r\n}', 397, '0000-00-00 00:00:00', 0, '2020-12-20 11:16:15');
INSERT INTO `#__vpem_templates` (`id`, `state`, `checked_out`, `checked_out_time`, `name`, `type`, `subject`, `body`, `css_style`, `created_by`, `created_on`, `modified_by`, `modified_on`) VALUES
(6, 1, 0, '0000-00-00 00:00:00', 'Order Status Change to User - Template', 'order_status_change', '{{# JText.sprintf }}COM_VIRTUEMART_MAIL_SUBJ_SHOPPER_{{ order_status }}, {{ vendor.vendor_store_name }}, {{# in_user_currency }}{{ order_total }}{{/ in_user_currency }}, {{ order_number }}{{/ JText.sprintf }}', '<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"border-bottom: 1px solid #e2e5e8;\" bgcolor=\"#FFFFFF\">\r\n                <div style=\"padding: 0px 15px 0px 15px;\" align=\"center\">\r\n                    <table class=\"wrapper\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 700px;\">\r\n                        <!-- LOGO/PREHEADER TEXT -->\r\n                        <tbody>\r\n                            <tr>\r\n                                <td class=\"logo\" style=\"padding: 25px 0px 25px 0px;\">\r\n                                    <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                        <tbody>\r\n                                            <tr>\r\n                                                <td align=\"left\" bgcolor=\"#FFFFFF\" width=\"350\">\r\n                                                    <!--SITE LOGO / SITE NAME--> {{ vendor.vendor_image }}\r\n                                                </td>\r\n                                                <td align=\"right\" bgcolor=\"#FFFFFF\" width=\"350\">\r\n                                                    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                        <tbody>\r\n                                                            <tr>\r\n                                                                <td style=\"padding: 5px 0 0 0; font-size: 14px; font-family: Arial, sans-serif; color: #666666; text-decoration: none;\">\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; white-space: nowrap;\">\r\n                                                                        <strong>\r\n                                                                            {{ vendor.vendor_store_name }}\r\n                                                                        </strong>\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_1 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_2 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.city }} {{ vendor.zip }} {{ vendor.virtuemart_state_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.virtuemart_country_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.phone_1 }}\r\n                                                                    </div>\r\n                                                                </td>\r\n                                                            </tr>\r\n                                                        </tbody>\r\n                                                    </table>\r\n                                                </td>\r\n                                            </tr>\r\n                                        </tbody>\r\n                                    </table>\r\n                                </td>\r\n                            </tr>\r\n                        </tbody>\r\n                    </table>\r\n                </div>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- MAIN CONTENTS SECTION -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n    <tbody>\r\n        <tr>\r\n            <td class=\"section-padding\" style=\"padding: 40px 15px 40px 15px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 700px;\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td style=\"background-color: #ffffff; border-bottom: 2px solid #e2e5e8;\" bgcolor=\"#ffffff\">\r\n                                <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n                                    <tbody>\r\n                                        <tr>\r\n                                            <td style=\"padding: 35px 25px; background-color: #ffffff;\" bgcolor=\"#ffffff\">\r\n                                                <!-- MAIN CONTENTS -->\r\n                                                <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-right: 15px;\" align=\"left\" width=\"33%\" valign=\"top\">\r\n                                                                <div style=\"text-align: left; font-size: 16px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; border-bottom: 2px solid #eeeeee; padding-bottom: 5px; margin-bottom: 10px;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_BILL_TO_LBL{{/ JText._ }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.company }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.title }} {{ details.BT.first_name }} {{ details.BT.middle_name }} {{ details.BT.last_name }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.address_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.address_2 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.city }} {{ details.BT.zip }} {{ details.BT.virtuemart_state_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.virtuemart_country_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.email }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.phone_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.phone_2 }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-right: 15px;\" align=\"left\" width=\"33%\" valign=\"top\">\r\n                                                                <div style=\"text-align: left; font-size: 16px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; border-bottom: 2px solid #eeeeee; padding-bottom: 5px; margin-bottom: 10px;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_SHIP_TO_LBL{{/ JText._ }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.company }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.title }} {{ details.ST.first_name }} {{ details.ST.middle_name }} {{ details.ST.last_name }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.address_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.address_2 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.city }} {{ details.ST.zip }} {{ details.ST.virtuemart_state_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.virtuemart_country_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.phone_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.phone_2 }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\" align=\"left\" valign=\"top\">\r\n                                                                <div style=\"text-align: left; font-size: 16px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; border-bottom: 2px solid #eeeeee; padding-bottom: 5px; margin-bottom: 10px;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ACC_ORDER_INFO{{/ JText._ }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_MAIL_SHOPPER_YOUR_ORDER{{/ JText._ }} {{ order_number }}\r\n                                                                </div>\r\n                                                                {{^ virtuemart_user_id }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_MAIL_SHOPPER_YOUR_PASSWORD{{/ JText._ }}: {{ order_pass }}\r\n                                                                </div>\r\n                                                                {{/ virtuemart_user_id }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# do.strip_tags }}{{# JText.sprintf }}COM_VIRTUEMART_MAIL_SHOPPER_TOTAL_ORDER, {{# in_shop_currency}} {{ order_total }} {{/ in_shop_currency}}{{/ JText.sprintf }}{{/ do.strip_tags }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# do.strip_tags }}{{# JText.sprintf }}COM_VIRTUEMART_MAIL_ORDER_STATUS, {{ order_status_name }}{{/ JText.sprintf }}{{/ do.strip_tags }}\r\n                                                                </div>\r\n                                                                <!--<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_PAYMENT_LBL{{/ JText._ }} {{ payment_method }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_SHIPMENT_LBL{{/ JText._ }} {{ shipment_method }}\r\n                                                                </div>-->\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# do.link }}{{ order_link }}, {{# JText._ }}COM_VIRTUEMART_MAIL_SHOPPER_YOUR_ORDER_LINK{{/ JText._ }}, style=\"padding: 8px 10px; background: #28a745; color: #ffffff; text-decoration: none; text-transform: uppercase; margin: 10px 0; display: block; text-align: center; font-size: 12px; line-height: 1; border-radius: 5px;\" target=\"_blank\"{{/ do.link }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td style=\"padding-bottom: 20px;\" colspan=\"3\">\r\n                                                                <!--BLANK ROW-->\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td colspan=\"3\">\r\n                                                                {{# comments }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                    {{ comments }}\r\n                                                                </div>\r\n                                                                {{/ comments }}\r\n                                                                {{# customer_note }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                	{{# JText.sprintf }}COM_VIRTUEMART_MAIL_SHOPPER_QUESTION, {{ customer_note }}{{/ JText.sprintf }}\r\n                                                                </div>\r\n                                                                {{/ customer_note }}\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\" align=\"left\" colspan=\"3\" valign=\"top\">\r\n                                                                <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n                                                                  <tbody>\r\n                                                                    <tr>\r\n                                                                      <td valign=\"top\">\r\n                                                                        <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                            {{ order_items_table }}\r\n                                                                        </div>\r\n                                                                      </td>\r\n                                                                    </tr>\r\n                                                                  </tbody>\r\n                                                                </table>\r\n\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                            </td>\r\n                                        </tr>\r\n                                    </tbody>\r\n                                </table>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- FOOTER -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"padding: 10px 0px 20px 0px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <!-- UNSUBSCRIBE COPY -->\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" style=\"width: 700px;\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 13px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa;\" align=\"left\">\r\n                                {{ vendor.vendor_store_name }}\r\n                            </td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 11px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa; padding-top: 15px;\" align=\"left\">\r\n                                <!--SITE NAME AND OTHER CONTACT DETAILS--> \r\n                                <span class=\"appleFooter\" style=\"color: #aaaaaa;\">\r\n                                    {{ vendor.vendor_store_desc }}\r\n                                </span>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n\n', '/* CLIENT-SPECIFIC STYLES */\r\n/* Force Outlook to provide a \"view in browser\" message */\r\n#outlook a {\r\n  padding:0;\r\n} \r\n.ReadMsgBody {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display emails at full width */\r\n.ExternalClass {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display normal line spacing */\r\n.ExternalClass,\r\n.ExternalClass p,\r\n.ExternalClass span,\r\n.ExternalClass font,\r\n.ExternalClass td,\r\n.ExternalClass div {\r\n  line-height: 100%;\r\n}\r\n/* Prevent WebKit and Windows mobile changing default text sizes */\r\nbody, table, td, a{\r\n  -webkit-text-size-adjust:100%;\r\n  -ms-text-size-adjust:100%;\r\n}\r\n/* Remove spacing between tables in Outlook 2007 and up */\r\ntable, td {\r\n  mso-table-lspace:0pt;\r\n  mso-table-rspace:0pt;\r\n}\r\n/* Allow smoother rendering of resized image in Internet Explorer */\r\nimg {\r\n  -ms-interpolation-mode:bicubic;\r\n}\r\n\r\n/* RESET STYLES */\r\nbody {\r\n  margin:0;\r\n  padding:0;\r\n  color: #333333;\r\n}\r\nimg {\r\n  border:0;\r\n  height:auto;\r\n  line-height:100%;\r\n  outline:none;\r\n  text-decoration:none;\r\n}\r\ntable {\r\n  border-collapse:collapse !important;\r\n}\r\nbody {\r\n  height:100% !important;\r\n  margin:0;\r\n  padding:0;\r\n  width:100% !important;\r\n}\r\n\r\n/* iOS BLUE LINKS */\r\n.appleBody a {\r\n  color:#68440a;\r\n  text-decoration: none;\r\n}\r\n.appleFooter a {\r\n  color:#999999;\r\n  text-decoration: none;\r\n}\r\n\r\n/* MOBILE STYLES */\r\n@media screen and (max-width: 525px) {\r\n    /* ALLOWS FOR FLUID TABLES */\r\n    table[class=\"wrapper\"] {\r\n      width:100% !important;\r\n    }\r\n\r\n    /* ADJUSTS LAYOUT OF LOGO IMAGE */\r\n    td[class=\"logo\"] {\r\n      text-align: left;\r\n      padding: 20px 0 20px 0 !important;\r\n    }\r\n    td[class=\"logo\"] img {\r\n      margin:0 auto!important;\r\n    }\r\n\r\n    /* USE THESE CLASSES TO HIDE CONTENT ON MOBILE */\r\n    td[class=\"mobile-hide\"] {\r\n      display:none;\r\n    }\r\n    img[class=\"mobile-hide\"] {\r\n      display: none !important;\r\n    }\r\n    img[class=\"img-max\"] {\r\n      max-width: 100% !important;\r\n      width: 100% !important;\r\n      height:auto !important;\r\n    }\r\n\r\n    /* FULL-WIDTH TABLES */\r\n    table[class=\"responsive-table\"] {\r\n      width:100%!important;\r\n    }\r\n\r\n    /* UTILITY CLASSES FOR ADJUSTING PADDING ON MOBILE */\r\n    td[class=\"padding\"] {\r\n      padding: 10px 5% 15px 5% !important;\r\n    }\r\n    td[class=\"padding-copy\"] {\r\n      padding: 10px 5% 10px 5% !important;\r\n      text-align: left;\r\n    }\r\n    td[class=\"padding-meta\"] {\r\n      padding: 30px 5% 0px 5% !important;\r\n      text-align: center;\r\n    }\r\n    td[class=\"no-pad\"] {\r\n      padding: 0 0 20px 0 !important;\r\n    }\r\n    td[class=\"no-padding\"] {\r\n      padding: 0 !important;\r\n    }\r\n    td[class=\"section-padding\"] {\r\n      padding: 50px 15px 50px 15px !important;\r\n    }\r\n    td[class=\"section-padding-bottom-image\"] {\r\n      padding: 50px 15px 0 15px !important;\r\n    }\r\n\r\n    /* ADJUST BUTTONS ON MOBILE */\r\n    td[class=\"mobile-wrapper\"] {\r\n        padding: 10px 5% 15px 5% !important;\r\n    }\r\n    table[class=\"mobile-button-container\"] {\r\n        margin:0 auto;\r\n        width:100% !important;\r\n    }\r\n    a[class=\"mobile-button\"] {\r\n        width:80% !important;\r\n        padding: 15px !important;\r\n        border: 0 !important;\r\n        font-size: 16px !important;\r\n    }\r\n}', 397, '0000-00-00 00:00:00', 0, '2020-12-20 10:11:07');
INSERT INTO `#__vpem_templates` (`id`, `state`, `checked_out`, `checked_out_time`, `name`, `type`, `subject`, `body`, `css_style`, `created_by`, `created_on`, `modified_by`, `modified_on`) VALUES
(7, 1, 0, '0000-00-00 00:00:00', 'Order Confirmation to Admin - Template', 'admin_order_confirmation', '{{# JText.sprintf }}COM_VIRTUEMART_MAIL_SUBJ_VENDOR_{{ order_status }}, {{ details.BT.first_name }} {{ details.BT.last_name }}, {{# in_shop_currency }}{{ order_total }}{{/ in_shop_currency }}, {{ order_number }}{{/ JText.sprintf }}', '<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"border-bottom: 1px solid #e2e5e8;\" bgcolor=\"#FFFFFF\">\r\n                <div style=\"padding: 0px 15px 0px 15px;\" align=\"center\">\r\n                    <table class=\"wrapper\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 700px;\">\r\n                        <!-- LOGO/PREHEADER TEXT -->\r\n                        <tbody>\r\n                            <tr>\r\n                                <td class=\"logo\" style=\"padding: 25px 0px 25px 0px;\">\r\n                                    <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                        <tbody>\r\n                                            <tr>\r\n                                                <td align=\"left\" bgcolor=\"#FFFFFF\" width=\"350\">\r\n                                                    <!--SITE LOGO / SITE NAME--> {{ vendor.vendor_image }}\r\n                                                </td>\r\n                                                <td align=\"right\" bgcolor=\"#FFFFFF\" width=\"350\">\r\n                                                    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                        <tbody>\r\n                                                            <tr>\r\n                                                                <td style=\"padding: 5px 0 0 0; font-size: 14px; font-family: Arial, sans-serif; color: #666666; text-decoration: none;\">\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; white-space: nowrap;\">\r\n                                                                        <strong>\r\n                                                                            {{ vendor.vendor_store_name }}\r\n                                                                        </strong>\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_1 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_2 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.city }} {{ vendor.zip }} {{ vendor.virtuemart_state_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.virtuemart_country_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.phone_1 }}\r\n                                                                    </div>\r\n                                                                </td>\r\n                                                            </tr>\r\n                                                        </tbody>\r\n                                                    </table>\r\n                                                </td>\r\n                                            </tr>\r\n                                        </tbody>\r\n                                    </table>\r\n                                </td>\r\n                            </tr>\r\n                        </tbody>\r\n                    </table>\r\n                </div>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- MAIN CONTENTS SECTION -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n    <tbody>\r\n        <tr>\r\n            <td class=\"section-padding\" style=\"padding: 40px 15px 40px 15px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 700px;\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td style=\"background-color: #ffffff; border-bottom: 2px solid #e2e5e8;\" bgcolor=\"#ffffff\">\r\n                                <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n                                    <tbody>\r\n                                        <tr>\r\n                                            <td style=\"padding: 35px 25px; background-color: #ffffff;\" bgcolor=\"#ffffff\">\r\n                                                <!-- MAIN CONTENTS -->\r\n                                                <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-right: 15px;\" align=\"left\" width=\"33%\" valign=\"top\">\r\n                                                                <div style=\"text-align: left; font-size: 16px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; border-bottom: 2px solid #eeeeee; padding-bottom: 5px; margin-bottom: 10px;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_BILL_TO_LBL{{/ JText._ }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.company }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.title }} {{ details.BT.first_name }} {{ details.BT.middle_name }} {{ details.BT.last_name }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.address_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.address_2 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.city }} {{ details.BT.zip }} {{ details.BT.virtuemart_state_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.virtuemart_country_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.email }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.phone_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.phone_2 }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-right: 15px;\" align=\"left\" width=\"33%\" valign=\"top\">\r\n                                                                <div style=\"text-align: left; font-size: 16px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; border-bottom: 2px solid #eeeeee; padding-bottom: 5px; margin-bottom: 10px;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_SHIP_TO_LBL{{/ JText._ }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.company }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.title }} {{ details.ST.first_name }} {{ details.ST.middle_name }} {{ details.ST.last_name }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.address_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.address_2 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.city }} {{ details.ST.zip }} {{ details.ST.virtuemart_state_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.virtuemart_country_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.phone_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.phone_2 }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\" align=\"left\" valign=\"top\">\r\n                                                                <div style=\"text-align: left; font-size: 16px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; border-bottom: 2px solid #eeeeee; padding-bottom: 5px; margin-bottom: 10px;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ACC_ORDER_INFO{{/ JText._ }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_MAIL_SHOPPER_YOUR_ORDER{{/ JText._ }} {{ order_number }}\r\n                                                                </div>\r\n                                                                {{^ virtuemart_user_id }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_MAIL_SHOPPER_YOUR_PASSWORD{{/ JText._ }}: {{ order_pass }}\r\n                                                                </div>\r\n                                                                {{/ virtuemart_user_id }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# do.strip_tags }}{{# JText.sprintf }}COM_VIRTUEMART_MAIL_SHOPPER_TOTAL_ORDER, {{# in_shop_currency}} {{ order_total }} {{/ in_shop_currency}}{{/ JText.sprintf }}{{/ do.strip_tags }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# do.strip_tags }}{{# JText.sprintf }}COM_VIRTUEMART_MAIL_ORDER_STATUS, {{ order_status_name }}{{/ JText.sprintf }}{{/ do.strip_tags }}\r\n                                                                </div>\r\n                                                                <!--<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_PAYMENT_LBL{{/ JText._ }} {{ payment_method }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_SHIPMENT_LBL{{/ JText._ }} {{ shipment_method }}\r\n                                                                </div>-->\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# do.link }}{{ order_link }}, {{# JText._ }}COM_VIRTUEMART_MAIL_SHOPPER_YOUR_ORDER_LINK{{/ JText._ }}, style=\"padding: 8px 10px; background: #28a745; color: #ffffff; text-decoration: none; text-transform: uppercase; margin: 10px 0; display: block; text-align: center; font-size: 12px; line-height: 1; border-radius: 5px;\" target=\"_blank\"{{/ do.link }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td style=\"padding-bottom: 20px;\" colspan=\"3\">\r\n                                                                <!--BLANK ROW-->\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td colspan=\"3\">\r\n                                                                {{# comments }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                    {{ comments }}\r\n                                                                </div>\r\n                                                                {{/ comments }}\r\n                                                                {{# customer_note }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                	{{# JText.sprintf }}COM_VIRTUEMART_MAIL_SHOPPER_QUESTION, {{ customer_note }}{{/ JText.sprintf }}\r\n                                                                </div>\r\n                                                                {{/ customer_note }}\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\" align=\"left\" colspan=\"3\" valign=\"top\">\r\n                                                                <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n                                                                  <tbody>\r\n                                                                    <tr>\r\n                                                                      <td valign=\"top\">\r\n                                                                        <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                            {{ order_items_table }}\r\n                                                                        </div>\r\n                                                                      </td>\r\n                                                                    </tr>\r\n                                                                  </tbody>\r\n                                                                </table>\r\n\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                            </td>\r\n                                        </tr>\r\n                                    </tbody>\r\n                                </table>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- FOOTER -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"padding: 10px 0px 20px 0px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <!-- UNSUBSCRIBE COPY -->\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" style=\"width: 700px;\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 13px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa;\" align=\"left\">\r\n                                {{ vendor.vendor_store_name }}\r\n                            </td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 11px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa; padding-top: 15px;\" align=\"left\">\r\n                                <!--SITE NAME AND OTHER CONTACT DETAILS--> \r\n                                <span class=\"appleFooter\" style=\"color: #aaaaaa;\">\r\n                                    {{ vendor.vendor_store_desc }}\r\n                                </span>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\n', '/* CLIENT-SPECIFIC STYLES */\r\n/* Force Outlook to provide a \"view in browser\" message */\r\n#outlook a {\r\n  padding:0;\r\n} \r\n.ReadMsgBody {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display emails at full width */\r\n.ExternalClass {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display normal line spacing */\r\n.ExternalClass,\r\n.ExternalClass p,\r\n.ExternalClass span,\r\n.ExternalClass font,\r\n.ExternalClass td,\r\n.ExternalClass div {\r\n  line-height: 100%;\r\n}\r\n/* Prevent WebKit and Windows mobile changing default text sizes */\r\nbody, table, td, a{\r\n  -webkit-text-size-adjust:100%;\r\n  -ms-text-size-adjust:100%;\r\n}\r\n/* Remove spacing between tables in Outlook 2007 and up */\r\ntable, td {\r\n  mso-table-lspace:0pt;\r\n  mso-table-rspace:0pt;\r\n}\r\n/* Allow smoother rendering of resized image in Internet Explorer */\r\nimg {\r\n  -ms-interpolation-mode:bicubic;\r\n}\r\n\r\n/* RESET STYLES */\r\nbody {\r\n  margin:0;\r\n  padding:0;\r\n  color: #333333;\r\n}\r\nimg {\r\n  border:0;\r\n  height:auto;\r\n  line-height:100%;\r\n  outline:none;\r\n  text-decoration:none;\r\n}\r\ntable {\r\n  border-collapse:collapse !important;\r\n}\r\nbody {\r\n  height:100% !important;\r\n  margin:0;\r\n  padding:0;\r\n  width:100% !important;\r\n}\r\n\r\n/* iOS BLUE LINKS */\r\n.appleBody a {\r\n  color:#68440a;\r\n  text-decoration: none;\r\n}\r\n.appleFooter a {\r\n  color:#999999;\r\n  text-decoration: none;\r\n}\r\n\r\n/* MOBILE STYLES */\r\n@media screen and (max-width: 525px) {\r\n    /* ALLOWS FOR FLUID TABLES */\r\n    table[class=\"wrapper\"] {\r\n      width:100% !important;\r\n    }\r\n\r\n    /* ADJUSTS LAYOUT OF LOGO IMAGE */\r\n    td[class=\"logo\"] {\r\n      text-align: left;\r\n      padding: 20px 0 20px 0 !important;\r\n    }\r\n    td[class=\"logo\"] img {\r\n      margin:0 auto!important;\r\n    }\r\n\r\n    /* USE THESE CLASSES TO HIDE CONTENT ON MOBILE */\r\n    td[class=\"mobile-hide\"] {\r\n      display:none;\r\n    }\r\n    img[class=\"mobile-hide\"] {\r\n      display: none !important;\r\n    }\r\n    img[class=\"img-max\"] {\r\n      max-width: 100% !important;\r\n      width: 100% !important;\r\n      height:auto !important;\r\n    }\r\n\r\n    /* FULL-WIDTH TABLES */\r\n    table[class=\"responsive-table\"] {\r\n      width:100%!important;\r\n    }\r\n\r\n    /* UTILITY CLASSES FOR ADJUSTING PADDING ON MOBILE */\r\n    td[class=\"padding\"] {\r\n      padding: 10px 5% 15px 5% !important;\r\n    }\r\n    td[class=\"padding-copy\"] {\r\n      padding: 10px 5% 10px 5% !important;\r\n      text-align: left;\r\n    }\r\n    td[class=\"padding-meta\"] {\r\n      padding: 30px 5% 0px 5% !important;\r\n      text-align: center;\r\n    }\r\n    td[class=\"no-pad\"] {\r\n      padding: 0 0 20px 0 !important;\r\n    }\r\n    td[class=\"no-padding\"] {\r\n      padding: 0 !important;\r\n    }\r\n    td[class=\"section-padding\"] {\r\n      padding: 50px 15px 50px 15px !important;\r\n    }\r\n    td[class=\"section-padding-bottom-image\"] {\r\n      padding: 50px 15px 0 15px !important;\r\n    }\r\n\r\n    /* ADJUST BUTTONS ON MOBILE */\r\n    td[class=\"mobile-wrapper\"] {\r\n        padding: 10px 5% 15px 5% !important;\r\n    }\r\n    table[class=\"mobile-button-container\"] {\r\n        margin:0 auto;\r\n        width:100% !important;\r\n    }\r\n    a[class=\"mobile-button\"] {\r\n        width:80% !important;\r\n        padding: 15px !important;\r\n        border: 0 !important;\r\n        font-size: 16px !important;\r\n    }\r\n}', 397, '0000-00-00 00:00:00', 0, '2020-12-20 10:10:39');
INSERT INTO `#__vpem_templates` (`id`, `state`, `checked_out`, `checked_out_time`, `name`, `type`, `subject`, `body`, `css_style`, `created_by`, `created_on`, `modified_by`, `modified_on`) VALUES
(8, 1, 0, '0000-00-00 00:00:00', 'Order Status Change to Admin - Template', 'admin_order_status_change', '{{# JText.sprintf }}COM_VIRTUEMART_MAIL_SUBJ_VENDOR_{{ order_status }}, {{ details.BT.first_name }} {{ details.BT.last_name }}, {{# in_shop_currency }}{{ order_total }}{{/ in_shop_currency }}, {{ order_number }}{{/ JText.sprintf }}', '<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"border-bottom: 1px solid #e2e5e8;\" bgcolor=\"#FFFFFF\">\r\n                <div style=\"padding: 0px 15px 0px 15px;\" align=\"center\">\r\n                    <table class=\"wrapper\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 700px;\">\r\n                        <!-- LOGO/PREHEADER TEXT -->\r\n                        <tbody>\r\n                            <tr>\r\n                                <td class=\"logo\" style=\"padding: 25px 0px 25px 0px;\">\r\n                                    <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                        <tbody>\r\n                                            <tr>\r\n                                                <td align=\"left\" bgcolor=\"#FFFFFF\" width=\"350\">\r\n                                                    <!--SITE LOGO / SITE NAME--> {{ vendor.vendor_image }}\r\n                                                </td>\r\n                                                <td align=\"right\" bgcolor=\"#FFFFFF\" width=\"350\">\r\n                                                    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                        <tbody>\r\n                                                            <tr>\r\n                                                                <td style=\"padding: 5px 0 0 0; font-size: 14px; font-family: Arial, sans-serif; color: #666666; text-decoration: none;\">\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; white-space: nowrap;\">\r\n                                                                        <strong>\r\n                                                                            {{ vendor.vendor_store_name }}\r\n                                                                        </strong>\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_1 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_2 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.city }} {{ vendor.zip }} {{ vendor.virtuemart_state_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.virtuemart_country_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.phone_1 }}\r\n                                                                    </div>\r\n                                                                </td>\r\n                                                            </tr>\r\n                                                        </tbody>\r\n                                                    </table>\r\n                                                </td>\r\n                                            </tr>\r\n                                        </tbody>\r\n                                    </table>\r\n                                </td>\r\n                            </tr>\r\n                        </tbody>\r\n                    </table>\r\n                </div>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- MAIN CONTENTS SECTION -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n    <tbody>\r\n        <tr>\r\n            <td class=\"section-padding\" style=\"padding: 40px 15px 40px 15px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 700px;\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td style=\"background-color: #ffffff; border-bottom: 2px solid #e2e5e8;\" bgcolor=\"#ffffff\">\r\n                                <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n                                    <tbody>\r\n                                        <tr>\r\n                                            <td style=\"padding: 35px 25px; background-color: #ffffff;\" bgcolor=\"#ffffff\">\r\n                                                <!-- MAIN CONTENTS -->\r\n                                                <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-right: 15px;\" align=\"left\" width=\"33%\" valign=\"top\">\r\n                                                                <div style=\"text-align: left; font-size: 16px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; border-bottom: 2px solid #eeeeee; padding-bottom: 5px; margin-bottom: 10px;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_BILL_TO_LBL{{/ JText._ }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.company }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.title }} {{ details.BT.first_name }} {{ details.BT.middle_name }} {{ details.BT.last_name }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.address_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.address_2 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.city }} {{ details.BT.zip }} {{ details.BT.virtuemart_state_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.virtuemart_country_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.email }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.phone_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.BT.phone_2 }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-right: 15px;\" align=\"left\" width=\"33%\" valign=\"top\">\r\n                                                                <div style=\"text-align: left; font-size: 16px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; border-bottom: 2px solid #eeeeee; padding-bottom: 5px; margin-bottom: 10px;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_SHIP_TO_LBL{{/ JText._ }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.company }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.title }} {{ details.ST.first_name }} {{ details.ST.middle_name }} {{ details.ST.last_name }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.address_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.address_2 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.city }} {{ details.ST.zip }} {{ details.ST.virtuemart_state_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.virtuemart_country_name}}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.phone_1 }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ details.ST.phone_2 }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\" align=\"left\" valign=\"top\">\r\n                                                                <div style=\"text-align: left; font-size: 16px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; border-bottom: 2px solid #eeeeee; padding-bottom: 5px; margin-bottom: 10px;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ACC_ORDER_INFO{{/ JText._ }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_MAIL_SHOPPER_YOUR_ORDER{{/ JText._ }} {{ order_number }}\r\n                                                                </div>\r\n                                                                {{^ virtuemart_user_id }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_MAIL_SHOPPER_YOUR_PASSWORD{{/ JText._ }}: {{ order_pass }}\r\n                                                                </div>\r\n                                                                {{/ virtuemart_user_id }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# do.strip_tags }}{{# JText.sprintf }}COM_VIRTUEMART_MAIL_SHOPPER_TOTAL_ORDER, {{# in_shop_currency}} {{ order_total }} {{/ in_shop_currency}}{{/ JText.sprintf }}{{/ do.strip_tags }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# do.strip_tags }}{{# JText.sprintf }}COM_VIRTUEMART_MAIL_ORDER_STATUS, {{ order_status_name }}{{/ JText.sprintf }}{{/ do.strip_tags }}\r\n                                                                </div>\r\n                                                                <!--<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_PAYMENT_LBL{{/ JText._ }} {{ payment_method }}\r\n                                                                </div>\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText._ }}COM_VIRTUEMART_ORDER_PRINT_SHIPMENT_LBL{{/ JText._ }} {{ shipment_method }}\r\n                                                                </div>-->\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# do.link }}{{ order_link }}, {{# JText._ }}COM_VIRTUEMART_MAIL_SHOPPER_YOUR_ORDER_LINK{{/ JText._ }}, style=\"padding: 8px 10px; background: #28a745; color: #ffffff; text-decoration: none; text-transform: uppercase; margin: 10px 0; display: block; text-align: center; font-size: 12px; line-height: 1; border-radius: 5px;\" target=\"_blank\"{{/ do.link }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td style=\"padding-bottom: 20px;\" colspan=\"3\">\r\n                                                                <!--BLANK ROW-->\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td colspan=\"3\">\r\n                                                                {{# comments }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                    {{ comments }}\r\n                                                                </div>\r\n                                                                {{/ comments }}\r\n                                                                {{# customer_note }}\r\n                                                                <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                	{{# JText.sprintf }}COM_VIRTUEMART_MAIL_SHOPPER_QUESTION, {{ customer_note }}{{/ JText.sprintf }}\r\n                                                                </div>\r\n                                                                {{/ customer_note }}\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td class=\"padding-copy\" style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\" align=\"left\" colspan=\"3\" valign=\"top\">\r\n                                                                <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n                                                                  <tbody>\r\n                                                                    <tr>\r\n                                                                      <td valign=\"top\">\r\n                                                                        <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                            {{ order_items_table }}\r\n                                                                        </div>\r\n                                                                      </td>\r\n                                                                    </tr>\r\n                                                                  </tbody>\r\n                                                                </table>\r\n\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                            </td>\r\n                                        </tr>\r\n                                    </tbody>\r\n                                </table>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- FOOTER -->\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" style=\"width: 100%;\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"padding: 10px 0px 20px 0px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <!-- UNSUBSCRIBE COPY -->\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" style=\"width: 700px;\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 13px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa;\" align=\"left\">\r\n                                {{ vendor.vendor_store_name }}\r\n                            </td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 11px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa; padding-top: 15px;\" align=\"left\">\r\n                                <!--SITE NAME AND OTHER CONTACT DETAILS--> \r\n                                <span class=\"appleFooter\" style=\"color: #aaaaaa;\">\r\n                                    {{ vendor.vendor_store_desc }}\r\n                                </span>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n\n', '/* CLIENT-SPECIFIC STYLES */\r\n/* Force Outlook to provide a \"view in browser\" message */\r\n#outlook a {\r\n  padding:0;\r\n} \r\n.ReadMsgBody {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display emails at full width */\r\n.ExternalClass {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display normal line spacing */\r\n.ExternalClass,\r\n.ExternalClass p,\r\n.ExternalClass span,\r\n.ExternalClass font,\r\n.ExternalClass td,\r\n.ExternalClass div {\r\n  line-height: 100%;\r\n}\r\n/* Prevent WebKit and Windows mobile changing default text sizes */\r\nbody, table, td, a{\r\n  -webkit-text-size-adjust:100%;\r\n  -ms-text-size-adjust:100%;\r\n}\r\n/* Remove spacing between tables in Outlook 2007 and up */\r\ntable, td {\r\n  mso-table-lspace:0pt;\r\n  mso-table-rspace:0pt;\r\n}\r\n/* Allow smoother rendering of resized image in Internet Explorer */\r\nimg {\r\n  -ms-interpolation-mode:bicubic;\r\n}\r\n\r\n/* RESET STYLES */\r\nbody {\r\n  margin:0;\r\n  padding:0;\r\n  color: #333333;\r\n}\r\nimg {\r\n  border:0;\r\n  height:auto;\r\n  line-height:100%;\r\n  outline:none;\r\n  text-decoration:none;\r\n}\r\ntable {\r\n  border-collapse:collapse !important;\r\n}\r\nbody {\r\n  height:100% !important;\r\n  margin:0;\r\n  padding:0;\r\n  width:100% !important;\r\n}\r\n\r\n/* iOS BLUE LINKS */\r\n.appleBody a {\r\n  color:#68440a;\r\n  text-decoration: none;\r\n}\r\n.appleFooter a {\r\n  color:#999999;\r\n  text-decoration: none;\r\n}\r\n\r\n/* MOBILE STYLES */\r\n@media screen and (max-width: 525px) {\r\n    /* ALLOWS FOR FLUID TABLES */\r\n    table[class=\"wrapper\"] {\r\n      width:100% !important;\r\n    }\r\n\r\n    /* ADJUSTS LAYOUT OF LOGO IMAGE */\r\n    td[class=\"logo\"] {\r\n      text-align: left;\r\n      padding: 20px 0 20px 0 !important;\r\n    }\r\n    td[class=\"logo\"] img {\r\n      margin:0 auto!important;\r\n    }\r\n\r\n    /* USE THESE CLASSES TO HIDE CONTENT ON MOBILE */\r\n    td[class=\"mobile-hide\"] {\r\n      display:none;\r\n    }\r\n    img[class=\"mobile-hide\"] {\r\n      display: none !important;\r\n    }\r\n    img[class=\"img-max\"] {\r\n      max-width: 100% !important;\r\n      width: 100% !important;\r\n      height:auto !important;\r\n    }\r\n\r\n    /* FULL-WIDTH TABLES */\r\n    table[class=\"responsive-table\"] {\r\n      width:100%!important;\r\n    }\r\n\r\n    /* UTILITY CLASSES FOR ADJUSTING PADDING ON MOBILE */\r\n    td[class=\"padding\"] {\r\n      padding: 10px 5% 15px 5% !important;\r\n    }\r\n    td[class=\"padding-copy\"] {\r\n      padding: 10px 5% 10px 5% !important;\r\n      text-align: left;\r\n    }\r\n    td[class=\"padding-meta\"] {\r\n      padding: 30px 5% 0px 5% !important;\r\n      text-align: center;\r\n    }\r\n    td[class=\"no-pad\"] {\r\n      padding: 0 0 20px 0 !important;\r\n    }\r\n    td[class=\"no-padding\"] {\r\n      padding: 0 !important;\r\n    }\r\n    td[class=\"section-padding\"] {\r\n      padding: 50px 15px 50px 15px !important;\r\n    }\r\n    td[class=\"section-padding-bottom-image\"] {\r\n      padding: 50px 15px 0 15px !important;\r\n    }\r\n\r\n    /* ADJUST BUTTONS ON MOBILE */\r\n    td[class=\"mobile-wrapper\"] {\r\n        padding: 10px 5% 15px 5% !important;\r\n    }\r\n    table[class=\"mobile-button-container\"] {\r\n        margin:0 auto;\r\n        width:100% !important;\r\n    }\r\n    a[class=\"mobile-button\"] {\r\n        width:80% !important;\r\n        padding: 15px !important;\r\n        border: 0 !important;\r\n        font-size: 16px !important;\r\n    }\r\n}', 397, '0000-00-00 00:00:00', 0, '2020-12-20 10:10:52'),
(9, 1, 0, '0000-00-00 00:00:00', 'Product Recommendation to User - Template', 'recommend_product', '{{# JText.sprintf }}COM_VIRTUEMART_RECOMMEND_PRODUCT, {{ user.name }}, {{ product.product_name }}{{/ JText.sprintf }}', '<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"border-bottom: 1px solid #e2e5e8;\" bgcolor=\"#FFFFFF\">\r\n                <div style=\"padding: 0px 15px 0px 15px;\" align=\"center\">\r\n                    <table class=\"wrapper\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                        <!-- LOGO/PREHEADER TEXT -->\r\n                        <tbody>\r\n                            <tr>\r\n                                <td class=\"logo\" style=\"padding: 25px 0px 25px 0px;\">\r\n                                    <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                        <tbody>\r\n                                            <tr>\r\n                                                <td align=\"left\" bgcolor=\"#FFFFFF\" width=\"350\" style=\"width: 350px;\">\r\n                                                    <!--SITE LOGO / SITE NAME--> {{ vendor.vendor_image }}\r\n                                                </td>\r\n                                                <td align=\"right\" bgcolor=\"#FFFFFF\" width=\"350\" style=\"width: 350px;\">\r\n                                                    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                        <tbody>\r\n                                                            <tr>\r\n                                                                <td style=\"padding: 5px 0 0 0; font-size: 14px; font-family: Arial, sans-serif; color: #666666; text-decoration: none;\">\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; white-space: nowrap;\">\r\n                                                                        <strong>\r\n                                                                            {{ vendor.vendor_store_name }} \r\n                                                                        </strong>\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_1 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.address_2 }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.city }} {{ vendor.zip }} {{ vendor.virtuemart_state_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.virtuemart_country_name }}\r\n                                                                    </div>\r\n                                                                    <div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                        {{ vendor.phone_1 }}\r\n                                                                    </div>\r\n                                                                </td>\r\n                                                            </tr>\r\n                                                        </tbody>\r\n                                                    </table>\r\n                                                </td>\r\n                                            </tr>\r\n                                        </tbody>\r\n                                    </table>\r\n                                </td>\r\n                            </tr>\r\n                        </tbody>\r\n                    </table>\r\n                </div>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- MAIN CONTENTS SECTION -->\r\n<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td class=\"section-padding\" style=\"padding: 40px 15px 40px 15px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td style=\"background-color: #ffffff; border-bottom: 2px solid #e2e5e8;\" bgcolor=\"#ffffff\">\r\n                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                    <tbody>\r\n                                        <tr>\r\n                                            <td style=\"padding: 35px 25px; background-color: #ffffff;\" bgcolor=\"#ffffff\">\r\n                                                <!-- MAIN CONTENTS -->\r\n                                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{# JText.sprintf }}COM_VIRTUEMART_RECOMMEND_MAIL_BODY, {{ user.name }}, {{ product.product_name }}{{/ JText.sprintf }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">\r\n                                                                    {{ comment }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; border-bottom: 1px solid #dddddd;\">\r\n                                                                <!--BLANK ROW WITH BORDER-->\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                                <table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n                                                    <tbody>\r\n                                                        <tr>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-top: 20px;\" width=\"30%\" valign=\"top\">\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold;\">\r\n                                                                    {{# do.link }}{{ product.product_url }}, {{ product_thumbnail }}{{/ do.link }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                            <td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-top: 20px;\" width=\"70%\" valign=\"top\">\r\n                                                                <div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold;\">\r\n                                                                    <h2>{{ product.product_name }}</h2>\r\n                                                                    <p style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: normal;\">\r\n                                                                    	{{ product.product_s_desc }}\r\n                                                                    </p>\r\n                                                                    {{# do.link }}{{ product.product_url }}, {{# JText._ }}COM_VIRTUEMART_PRODUCT_DETAILS{{/ JText._ }}, target=\"_blank\"{{/ do.link }}\r\n                                                                </div>\r\n                                                            </td>\r\n                                                        </tr>\r\n                                                    </tbody>\r\n                                                </table>\r\n                                            </td>\r\n                                        </tr>\r\n                                    </tbody>\r\n                                </table>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<!-- FOOTER -->\r\n<table border=\"0\" width=\"100%\" style=\"width: 100%;\" cellspacing=\"0\" cellpadding=\"0\">\r\n    <tbody>\r\n        <tr>\r\n            <td style=\"padding: 10px 0px 20px 0px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n                <!-- UNSUBSCRIBE COPY -->\r\n                <table class=\"responsive-table\" border=\"0\" width=\"700\" style=\"width: 700px;\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n                    <tbody>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 13px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa;\" align=\"left\">\r\n                                {{ vendor.vendor_store_name }}\r\n                            </td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td class=\"padding\" style=\"font-size: 11px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa; padding-top: 15px;\" align=\"left\">\r\n                                <!--SITE NAME AND OTHER CONTACT DETAILS--> \r\n                                <span class=\"appleFooter\" style=\"color: #aaaaaa;\">\r\n                                    {{ vendor.vendor_store_desc }} \r\n                                </span>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\n', '/* CLIENT-SPECIFIC STYLES */\r\n/* Force Outlook to provide a \"view in browser\" message */\r\n#outlook a {\r\n  padding:0;\r\n} \r\n.ReadMsgBody {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display emails at full width */\r\n.ExternalClass {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display normal line spacing */\r\n.ExternalClass,\r\n.ExternalClass p,\r\n.ExternalClass span,\r\n.ExternalClass font,\r\n.ExternalClass td,\r\n.ExternalClass div {\r\n  line-height: 100%;\r\n}\r\n/* Prevent WebKit and Windows mobile changing default text sizes */\r\nbody, table, td, a{\r\n  -webkit-text-size-adjust:100%;\r\n  -ms-text-size-adjust:100%;\r\n}\r\n/* Remove spacing between tables in Outlook 2007 and up */\r\ntable, td {\r\n  mso-table-lspace:0pt;\r\n  mso-table-rspace:0pt;\r\n}\r\n/* Allow smoother rendering of resized image in Internet Explorer */\r\nimg {\r\n  -ms-interpolation-mode:bicubic;\r\n}\r\n\r\n/* RESET STYLES */\r\nbody {\r\n  margin:0;\r\n  padding:0;\r\n  color: #555555;\r\n}\r\nimg {\r\n  border:0;\r\n  height:auto;\r\n  line-height:100%;\r\n  outline:none;\r\n  text-decoration:none;\r\n}\r\ntable {\r\n  border-collapse:collapse !important;\r\n}\r\nbody {\r\n  height:100% !important;\r\n  margin:0;\r\n  padding:0;\r\n  width:100% !important;\r\n}\r\n\r\n/* iOS BLUE LINKS */\r\n.appleBody a {\r\n  color:#68440a;\r\n  text-decoration: none;\r\n}\r\n.appleFooter a {\r\n  color:#999999;\r\n  text-decoration: none;\r\n}\r\n\r\n/* MOBILE STYLES */\r\n@media screen and (max-width: 525px) {\r\n    /* ALLOWS FOR FLUID TABLES */\r\n    table[class=\"wrapper\"] {\r\n      width:100% !important;\r\n    }\r\n\r\n    /* ADJUSTS LAYOUT OF LOGO IMAGE */\r\n    td[class=\"logo\"] {\r\n      text-align: left;\r\n      padding: 20px 0 20px 0 !important;\r\n    }\r\n    td[class=\"logo\"] img {\r\n      margin:0 auto!important;\r\n    }\r\n\r\n    /* USE THESE CLASSES TO HIDE CONTENT ON MOBILE */\r\n    td[class=\"mobile-hide\"] {\r\n      display:none;\r\n    }\r\n    img[class=\"mobile-hide\"] {\r\n      display: none !important;\r\n    }\r\n    img[class=\"img-max\"] {\r\n      max-width: 100% !important;\r\n      width: 100% !important;\r\n      height:auto !important;\r\n    }\r\n\r\n    /* FULL-WIDTH TABLES */\r\n    table[class=\"responsive-table\"] {\r\n      width:100%!important;\r\n    }\r\n\r\n    /* UTILITY CLASSES FOR ADJUSTING PADDING ON MOBILE */\r\n    td[class=\"padding\"] {\r\n      padding: 10px 5% 15px 5% !important;\r\n    }\r\n    td[class=\"padding-copy\"] {\r\n      padding: 10px 5% 10px 5% !important;\r\n      text-align: left;\r\n    }\r\n    td[class=\"padding-meta\"] {\r\n      padding: 30px 5% 0px 5% !important;\r\n      text-align: center;\r\n    }\r\n    td[class=\"no-pad\"] {\r\n      padding: 0 0 20px 0 !important;\r\n    }\r\n    td[class=\"no-padding\"] {\r\n      padding: 0 !important;\r\n    }\r\n    td[class=\"section-padding\"] {\r\n      padding: 50px 15px 50px 15px !important;\r\n    }\r\n    td[class=\"section-padding-bottom-image\"] {\r\n      padding: 50px 15px 0 15px !important;\r\n    }\r\n\r\n    /* ADJUST BUTTONS ON MOBILE */\r\n    td[class=\"mobile-wrapper\"] {\r\n        padding: 10px 5% 15px 5% !important;\r\n    }\r\n    table[class=\"mobile-button-container\"] {\r\n        margin:0 auto;\r\n        width:100% !important;\r\n    }\r\n    a[class=\"mobile-button\"] {\r\n        width:80% !important;\r\n        padding: 15px !important;\r\n        border: 0 !important;\r\n        font-size: 16px !important;\r\n    }\r\n}', 397, '0000-00-00 00:00:00', 0, '2020-12-20 11:17:16');
INSERT INTO `#__vpem_templates` (`id`, `state`, `checked_out`, `checked_out_time`, `name`, `type`, `subject`, `body`, `css_style`, `created_by`, `created_on`, `modified_by`, `modified_on`) VALUES
(10, 1, 0, '0000-00-00 00:00:00', 'Order Follow-up to User - Template', 'order_followup', '{{# JText.sprintf }}COM_VPEM_SUBJECT_FOLLOWUP_EMAIL, {{ details.BT.first_name }}, {{ vendor.vendor_store_name }}{{/ JText.sprintf }}', '<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"border-bottom: 1px solid #e2e5e8;\" bgcolor=\"#FFFFFF\">\r\n<div style=\"padding: 0px 15px 0px 15px;\" align=\"center\">\r\n<table class=\"wrapper\" style=\"width: 700px;\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\"><!-- LOGO/PREHEADER TEXT -->\r\n<tbody>\r\n<tr>\r\n<td class=\"logo\" style=\"padding: 25px 0px 25px 0px;\">\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"width: 350px;\" align=\"left\" bgcolor=\"#FFFFFF\" width=\"350\"><!--SITE LOGO / SITE NAME--> {{ vendor.vendor_image }}</td>\r\n<td style=\"width: 350px;\" align=\"right\" bgcolor=\"#FFFFFF\" width=\"350\">\r\n<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 5px 0 0 0; font-size: 14px; font-family: Arial, sans-serif; color: #666666; text-decoration: none;\">\r\n<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; white-space: nowrap;\"><strong> {{ vendor.vendor_store_name }} </strong></div>\r\n<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">{{ vendor.address_1 }}</div>\r\n<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">{{ vendor.address_2 }}</div>\r\n<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">{{ vendor.city }} {{ vendor.zip }} {{ vendor.virtuemart_state_name }}</div>\r\n<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">{{ vendor.virtuemart_country_name }}</div>\r\n<div style=\"text-align: left; font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">{{ vendor.phone_1 }}</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!-- MAIN CONTENTS SECTION -->\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td class=\"section-padding\" style=\"padding: 40px 15px 40px 15px;\" align=\"center\" bgcolor=\"#f2f2f2\">\r\n<table class=\"responsive-table\" style=\"width: 700px;\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"background-color: #ffffff; border-bottom: 2px solid #e2e5e8;\" bgcolor=\"#ffffff\">\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 35px 25px; background-color: #ffffff;\" bgcolor=\"#ffffff\"><!-- MAIN CONTENTS -->\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-bottom: 20px;\">\r\n<div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555;\">{{# JText.sprintf }}COM_VPEM_INTRO_FOLLOWUP_EMAIL, {{ details.BT.first_name }}{{/ JText.sprintf }}</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; border-bottom: 1px solid #dddddd;\"><!--BLANK ROW WITH BORDER--></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-top: 20px;\" valign=\"top\" width=\"100%\">\r\n<div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold;\">{{# JText._ }}COM_VPEM_SUBTITLE_FOLLOWUP_EMAIL{{/ JText._ }}</div>\r\n</td>\r\n</tr>\r\n<tr>\r\n<td style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; padding-top: 20px;\" valign=\"top\" width=\"100%\">{{# items }}\r\n<div>\r\n<div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; width: 50%; float: left;\">\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 0; vertical-align: top; width: 90px;\" valign=\"top\" width=\"90px\">{{# do.link }}{{ product_url }}, {{ thumbnail_image }}, target=\"_blank\"{{/ do.link }}</td>\r\n<td style=\"padding: 0; vertical-align: top;\" valign=\"top\">{{# do.link }}{{ product_url }}, {{ product_name }}, style=\"text-decoration: none; color: #555555;\" target=\"_blank\"{{/ do.link }}</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>\r\n<div style=\"font-size: 14px; line-height: 22px; font-family: Helvetica, Arial, sans-serif; color: #555555; font-weight: bold; width: 50%; float: left; text-align: right;\">{{# do.link }}{{ product_url }}, {{# JText._ }}COM_VPEM_RATE_AND_REVIEW{{/ JText._ }}, style=\"padding: 10px 15px; background: #28a745; color: #ffffff; text-decoration: none; text-transform: uppercase; margin: 10px 0; text-align: center; font-size: 12px; line-height: 1; border-radius: 5px;\" target=\"_blank\"{{/ do.link }}</div>\r\n<div style=\"display: table; clear: both;\"> </div>\r\n</div>\r\n{{/ items }}</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!-- FOOTER -->\r\n<table style=\"width: 100%;\" border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\r\n<tbody>\r\n<tr>\r\n<td style=\"padding: 10px 0px 20px 0px;\" align=\"center\" bgcolor=\"#f2f2f2\"><!-- UNSUBSCRIBE COPY -->\r\n<table class=\"responsive-table\" style=\"width: 700px;\" border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n<tbody>\r\n<tr>\r\n<td class=\"padding\" style=\"font-size: 13px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa;\" align=\"left\">{{ vendor.vendor_store_name }}</td>\r\n</tr>\r\n<tr>\r\n<td class=\"padding\" style=\"font-size: 11px; line-height: 18px; font-family: Helvetica, Arial, sans-serif; color: #aaaaaa; padding-top: 15px;\" align=\"left\"><!--SITE NAME AND OTHER CONTACT DETAILS--> <span class=\"appleFooter\" style=\"color: #aaaaaa;\"> {{ vendor.vendor_store_desc }} </span></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</td>\r\n</tr>\r\n</tbody>\r\n</table>', '/* CLIENT-SPECIFIC STYLES */\r\n/* Force Outlook to provide a \"view in browser\" message */\r\n#outlook a {\r\n  padding:0;\r\n} \r\n.ReadMsgBody {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display emails at full width */\r\n.ExternalClass {\r\n  width:100%;\r\n}\r\n/* Force Hotmail to display normal line spacing */\r\n.ExternalClass,\r\n.ExternalClass p,\r\n.ExternalClass span,\r\n.ExternalClass font,\r\n.ExternalClass td,\r\n.ExternalClass div {\r\n  line-height: 100%;\r\n}\r\n/* Prevent WebKit and Windows mobile changing default text sizes */\r\nbody, table, td, a{\r\n  -webkit-text-size-adjust:100%;\r\n  -ms-text-size-adjust:100%;\r\n}\r\n/* Remove spacing between tables in Outlook 2007 and up */\r\ntable, td {\r\n  mso-table-lspace:0pt;\r\n  mso-table-rspace:0pt;\r\n}\r\n/* Allow smoother rendering of resized image in Internet Explorer */\r\nimg {\r\n  -ms-interpolation-mode:bicubic;\r\n}\r\n\r\n/* RESET STYLES */\r\nbody {\r\n  margin:0;\r\n  padding:0;\r\n}\r\nimg {\r\n  border:0;\r\n  height:auto;\r\n  line-height:100%;\r\n  outline:none;\r\n  text-decoration:none;\r\n}\r\ntable {\r\n  border-collapse:collapse !important;\r\n}\r\nbody {\r\n  height:100% !important;\r\n  margin:0;\r\n  padding:0;\r\n  width:100% !important;\r\n}\r\n\r\n/* iOS BLUE LINKS */\r\n.appleBody a {\r\n  color:#68440a;\r\n  text-decoration: none;\r\n}\r\n.appleFooter a {\r\n  color:#999999;\r\n  text-decoration: none;\r\n}\r\n\r\n/* MOBILE STYLES */\r\n@media screen and (max-width: 525px) {\r\n    /* ALLOWS FOR FLUID TABLES */\r\n    table[class=\"wrapper\"] {\r\n      width:100% !important;\r\n    }\r\n\r\n    /* ADJUSTS LAYOUT OF LOGO IMAGE */\r\n    td[class=\"logo\"] {\r\n      text-align: left;\r\n      padding: 20px 0 20px 0 !important;\r\n    }\r\n    td[class=\"logo\"] img {\r\n      margin:0 auto!important;\r\n    }\r\n\r\n    /* USE THESE CLASSES TO HIDE CONTENT ON MOBILE */\r\n    td[class=\"mobile-hide\"] {\r\n      display:none;\r\n    }\r\n    img[class=\"mobile-hide\"] {\r\n      display: none !important;\r\n    }\r\n    img[class=\"img-max\"] {\r\n      max-width: 100% !important;\r\n      width: 100% !important;\r\n      height:auto !important;\r\n    }\r\n\r\n    /* FULL-WIDTH TABLES */\r\n    table[class=\"responsive-table\"] {\r\n      width:100%!important;\r\n    }\r\n\r\n    /* UTILITY CLASSES FOR ADJUSTING PADDING ON MOBILE */\r\n    td[class=\"padding\"] {\r\n      padding: 10px 5% 15px 5% !important;\r\n    }\r\n    td[class=\"padding-copy\"] {\r\n      padding: 10px 5% 10px 5% !important;\r\n      text-align: left;\r\n    }\r\n    td[class=\"padding-meta\"] {\r\n      padding: 30px 5% 0px 5% !important;\r\n      text-align: center;\r\n    }\r\n    td[class=\"no-pad\"] {\r\n      padding: 0 0 20px 0 !important;\r\n    }\r\n    td[class=\"no-padding\"] {\r\n      padding: 0 !important;\r\n    }\r\n    td[class=\"section-padding\"] {\r\n      padding: 50px 15px 50px 15px !important;\r\n    }\r\n    td[class=\"section-padding-bottom-image\"] {\r\n      padding: 50px 15px 0 15px !important;\r\n    }\r\n\r\n    /* ADJUST BUTTONS ON MOBILE */\r\n    td[class=\"mobile-wrapper\"] {\r\n        padding: 10px 5% 15px 5% !important;\r\n    }\r\n    table[class=\"mobile-button-container\"] {\r\n        margin:0 auto;\r\n        width:100% !important;\r\n    }\r\n    a[class=\"mobile-button\"] {\r\n        width:80% !important;\r\n        padding: 15px !important;\r\n        border: 0 !important;\r\n        font-size: 16px !important;\r\n    }\r\n}', 397, '0000-00-00 00:00:00', 0, '0000-00-00 00:00:00');
